Debian Bug report logs - #626427
linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: mail-dated-1307742750.5eb7fe@sabahattin-gucukoglu.com

Date: Wed, 11 May 2011 22:39:01 UTC

Severity: important

Found in version 2.6.38-5

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=35772

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Wed, 11 May 2011 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to mail-dated-1307742750.5eb7fe@sabahattin-gucukoglu.com:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sabahattin Gucukoglu <sgucukoglu@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Wed, 11 May 2011 22:55:13 +0100
Package: linux-2.6
Version: 2.6.38-5
Severity: important

(reportbug script died, hope you've got everything.)

The machine runs with *HORRIBLE* clock drift (see text).  Eventually, the 
system will slow right down, so that new processes or threads will not 
start.  It *seems* to be related to the use of BRLTTY.  See this thread: 
http://www.mail-archive.com/brltty@mielke.cc/msg05352.html

And, yes, it's annoying having to hard-reboot the box every so often.  It 
would seem that after some period of time, touching my display or the 
physical console triggers the lockup.  I don't think this is a coincidence, 
even though on the surface there are two different problems.  The kernel 
upgrade was sufficient to begin these issues.

Cheers,
Sabahattin

-- Package-specific info:
** Version:
Linux version 2.6.38-2-686 (Debian 2.6.38-5) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Sun May 8 14:49:45 UTC 2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.38-2-686 root=UUID=3b61a0a8-b642-4e7c-b846-e1e9e16019cb ro bootkbd=uk quiet

** Not tainted

** Kernel log:
[    6.176964] PCI: setting IRQ 10 as level-triggered
[    6.176995] uhci_hcd 0000:00:07.2: PCI INT D -> Link[LNKD] -> GSI 10 (level, low) -> IRQ 10
[    6.177042] uhci_hcd 0000:00:07.2: UHCI Host Controller
[    6.177175] uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 1
[    6.177274] uhci_hcd 0000:00:07.2: irq 10, io base 0x0000d400
[    6.177490] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    6.177512] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    6.177531] usb usb1: Product: UHCI Host Controller
[    6.177547] usb usb1: Manufacturer: Linux 2.6.38-2-686 uhci_hcd
[    6.177563] usb usb1: SerialNumber: 0000:00:07.2
[    6.178971] hub 1-0:1.0: USB hub found
[    6.179013] hub 1-0:1.0: 2 ports detected
[    6.197469] SCSI subsystem initialized
[    6.459277] libata version 3.00 loaded.
[    6.489362] pata_via 0000:00:07.1: version 0.3.4
[    6.494117] scsi0 : pata_via
[    6.495346] scsi1 : pata_via
[    6.496281] ata1: PATA max UDMA/66 cmd 0x1f0 ctl 0x3f6 bmdma 0xd000 irq 14
[    6.496304] ata2: PATA max UDMA/66 cmd 0x170 ctl 0x376 bmdma 0xd008 irq 15
[    6.606996] firewire_core: created device fw0: GUID 00110600000069b8, S400
[    6.660614] ata1.00: ATA-7: Maxtor 6Y200P0, YAR41BW0, max UDMA/133
[    6.660636] ata1.00: 398297088 sectors, multi 16: LBA48 
[    6.676520] ata1.00: configured for UDMA/66
[    6.677192] scsi 0:0:0:0: Direct-Access     ATA      Maxtor 6Y200P0   YAR4 PQ: 0 ANSI: 5
[    6.848386] ata2.00: ATAPI: IOMEGA  ZIP 100       ATAPI, 23.D, max PIO2, CDB intr
[    6.848426] ata2.01: ATAPI: COMPAQ DVD-ROM GD-2500, 0011, max MWDMA2
[    6.864359] ata2.00: configured for PIO2
[    6.912302] ata2.01: configured for MWDMA2
[    6.928529] scsi 1:0:0:0: Direct-Access     IOMEGA   ZIP 100          23.D PQ: 0 ANSI: 5
[    6.948929] scsi 1:0:1:0: CD-ROM            COMPAQ   DVD-ROM GD-2500  0011 PQ: 0 ANSI: 5
[    7.190975] sd 0:0:0:0: [sda] 398297088 512-byte logical blocks: (203 GB/189 GiB)
[    7.191599] sd 0:0:0:0: [sda] Write Protect is off
[    7.191623] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    7.191889] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    7.204308] sd 1:0:0:0: [sdb] Attached SCSI removable disk
[    7.238294] sr0: scsi3-mmc drive: 10x/24x cd/rw xa/form2 cdda tray
[    7.238317] cdrom: Uniform CD-ROM driver Revision: 3.20
[    7.239260] sr 1:0:1:0: Attached scsi CD-ROM sr0
[    7.277548] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    7.277627] ata1.00: BMDMA stat 0x25
[    7.277690] ata1.00: failed command: READ DMA
[    7.277777] ata1.00: cmd c8/00:08:00:00:00/00:00:00:00:00/e0 tag 0 dma 4096 in
[    7.277787]          res 51/84:00:00:00:00/00:00:00:00:00/e0 Emask 0x10 (ATA bus error)
[    7.277905] ata1.00: status: { DRDY ERR }
[    7.277964] ata1.00: error: { ICRC ABRT }
[    7.278117] ata1: soft resetting link
[    7.448524] ata1.00: configured for UDMA/66
[    7.448586] ata1: EH complete
[    7.527765] ata1.00: limiting speed to UDMA/44:PIO4
[    7.527790] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    7.527864] ata1.00: BMDMA stat 0x25
[    7.527927] ata1.00: failed command: READ DMA
[    7.528014] ata1.00: cmd c8/00:08:00:00:00/00:00:00:00:00/e0 tag 0 dma 4096 in
[    7.528024]          res 51/84:00:00:00:00/00:00:00:00:00/e0 Emask 0x10 (ATA bus error)
[    7.528196] ata1.00: status: { DRDY ERR }
[    7.528258] ata1.00: error: { ICRC ABRT }
[    7.528409] ata1: soft resetting link
[    7.708508] ata1.00: configured for UDMA/44
[    7.708553] ata1: EH complete
[    7.750848]  sda: sda1 sda2 < sda5 >
[    7.753069] sda: detected capacity change from 0 to 203928109056
[    7.755288] sda: detected capacity change from 0 to 203928109056
[    7.756290] sd 0:0:0:0: [sda] Attached SCSI disk
[    7.863627] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    7.869158] sd 1:0:0:0: Attached scsi generic sg1 type 0
[    7.870202] sr 1:0:1:0: Attached scsi generic sg2 type 5
[    8.257493] PM: Starting manual resume from disk
[    8.257517] PM: Hibernation image partition 8:5 present
[    8.257529] PM: Looking for hibernation image.
[    8.258247] PM: Image not found (code -22)
[    8.258262] PM: Hibernation image not present or could not be loaded.
[    8.457862] EXT3-fs (sda1): recovery required on readonly filesystem
[    8.457887] EXT3-fs (sda1): write access will be enabled during recovery
[    8.465638] EXT3-fs: barriers not enabled
[    8.703768] kjournald starting.  Commit interval 5 seconds
[    8.704536] EXT3-fs (sda1): recovery complete
[    8.705806] EXT3-fs (sda1): mounted filesystem with ordered data mode
[   10.674601] <30>udevd[206]: starting version 168
[   11.627939] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2
[   11.627990] ACPI: Power Button [PWRB]
[   11.628583] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
[   11.628613] ACPI: Power Button [PWRF]
[   11.868358] ACPI: acpi_idle registered with cpuidle
[   11.868564] Marking TSC unstable due to TSC halts in idle
[   11.895119] Switching to clocksource acpi_pm
[   11.962045] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[   12.226005] parport_pc 00:0a: reported by Plug and Play ACPI
[   12.226162] parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE,EPP]
[   12.244012] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[   12.595667] ACPI: resource vt596_smbus [io  0x5000-0x5007] conflicts with ACPI region SM06 [io 0x5006-0x5006]
[   12.595690] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   13.424147] input: ImPS/2 Logitech Wheel Mouse as /devices/platform/i8042/serio1/input/input4
[   15.014073] Adding 746984k swap on /dev/sda5.  Priority:-1 extents:1 across:746984k 
[   15.416470] EXT3-fs (sda1): using internal journal
[   15.908342] loop: module loaded
[   17.546459] fuse init (API version 7.16)
[   17.800373] r8169 0000:00:12.0: eth0: link down
[   17.800628] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   20.153905] r8169 0000:00:12.0: eth0: link up
[   20.154109] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

** Model information
not available

** Loaded modules:
Module                  Size  Used by
fuse                   55640  1 
loop                   17805  0 
firewire_sbp2          17511  0 
i2c_viapro             12451  0 
psmouse                45863  0 
i2c_core               18989  1 i2c_viapro
evdev                  13084  3 
shpchp                 26653  0 
parport_pc             21895  0 
serio_raw              12758  0 
pci_hotplug            26303  1 shpchp
processor              26983  1 
parport                27018  1 parport_pc
button                 12866  0 
ext3                   98001  1 
jbd                    40818  1 ext3
mbcache                12810  1 ext3
sg                     21385  0 
sr_mod                 17418  0 
sd_mod                 34941  3 
cdrom                  34631  1 sr_mod
crc_t10dif             12332  1 sd_mod
ata_generic            12439  0 
pata_via               12733  2 
libata                131904  2 ata_generic,pata_via
uhci_hcd               21850  0 
ehci_hcd               34889  0 
usbcore                99058  3 uhci_hcd,ehci_hcd
firewire_ohci          26296  0 
scsi_mod              134369  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
r8169                  36366  0 
firewire_core          42274  2 firewire_sbp2,firewire_ohci
thermal                13058  0 
fan                    12594  0 
pcspkr                 12515  0 
floppy                 47893  0 
crc_itu_t              12331  1 firewire_core
mii                    12562  1 r8169
thermal_sys            17667  3 processor,thermal,fan
nls_base               12649  1 usbcore

** Network interface configuration:

auto lo
iface lo inet loopback

allow-hotplug eth0
iface eth0 inet dhcp

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:40:f4:a9:d0:7d brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.2/24 brd 192.168.1.255 scope global eth0
    inet6 2001:470:1f09:103e:240:f4ff:fea9:d07d/64 scope global dynamic 
       valid_lft 3183sec preferred_lft 3183sec
    inet6 fe80::240:f4ff:fea9:d07d/64 scope link 
       valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   11660     160    0    0    0     0          0         0    11660     160    0    0    0     0       0          0
  eth0:  314981    2251    0    0    0     0          0         0   215539    1982    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    2339 total packets received
    5 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    2334 incoming packets delivered
    1835 requests sent out
    72 dropped because of missing route
Icmp:
    9 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 9
    7 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 7
IcmpMsg:
        InType3: 9
        OutType3: 7
Tcp:
    10 active connections openings
    0 passive connection openings
    0 failed connection attempts
    0 connection resets received
    1 connections established
    231 segments received
    229 segments send out
    2 segments retransmited
    0 bad segments received.
    4 resets sent
Udp:
    2086 packets received
    7 packets to unknown port received.
    0 packet receive errors
    1712 packets sent
UdpLite:
TcpExt:
    2 TCP sockets finished time wait in fast timer
    14 delayed acks sent
    7 packets directly queued to recvmsg prequeue.
    6 bytes directly received in process context from prequeue
    41 packet headers predicted
    74 acknowledgments not containing data payload received
    22 predicted acknowledgments
    2 other TCP timeouts
    2 DSACKs received
    TCPDSACKIgnoredOld: 2
IpExt:
    InMcastPkts: 123
    OutMcastPkts: 38
    InBcastPkts: 613
    OutBcastPkts: 278
    InOctets: 294919
    OutOctets: 174018
    InMcastOctets: 21445
    OutMcastOctets: 4977
    InBcastOctets: 86373
    OutBcastOctets: 41144

*** Device features:
eth0: 0x4180
lo: 0x13865

** PCI devices:
00:00.0 Host bridge [0600]: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] [1106:0691] (rev 82)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR+ INTx-
	Latency: 0
	Region 0: Memory at dd000000 (32-bit, prefetchable) [size=4M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-via

00:01.0 PCI bridge [0604]: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP] [1106:8598] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: d8000000-dbffffff
	Prefetchable memory behind bridge: 10000000-100fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:07.0 ISA bridge [0601]: VIA Technologies, Inc. VT82C596 ISA [Mobile South] [1106:0596] (rev 12)
	Subsystem: VIA Technologies, Inc. VT82C596/A/B PCI to ISA Bridge [1106:0000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:07.1 IDE interface [0101]: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [1106:0571] (rev 06) (prog-if 8a [Master SecP PriP])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at d000 [size=16]
	Kernel driver in use: pata_via

00:07.2 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 08) (prog-if 00 [UHCI])
	Subsystem: First International Computer, Inc. VA-502 Mainboard [0925:1234]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 32 bytes
	Interrupt: pin D routed to IRQ 10
	Region 4: I/O ports at d400 [size=32]
	Kernel driver in use: uhci_hcd

00:07.3 Host bridge [0600]: VIA Technologies, Inc. VT82C596 Power Management [1106:3050] (rev 20)
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:10.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044] (rev 46) (prog-if 10 [OHCI])
	Subsystem: VIA Technologies, Inc. Device [1106:e8e9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (8000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at dd401000 (32-bit, non-prefetchable) [size=2K]
	Region 1: I/O ports at dc00 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

00:12.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet [10ec:8169] (rev 10)
	Subsystem: Realtek Semiconductor Co., Ltd. RTL8169/8110 Family PCI Gigabit Ethernet NIC [10ec:8169]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (8000ns min, 16000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 5
	Region 0: I/O ports at e000 [size=256]
	Region 1: Memory at dd400000 (32-bit, non-prefetchable) [size=256]
	Expansion ROM at dc000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc 3D Rage LT Pro AGP-133 [1002:4c42] (rev dc) (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc Rage LT Pro AGP 2X [1002:0040]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop+ ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at d8000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: I/O ports at c000 [size=256]
	Region 2: Memory at da000000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at 10000000 [disabled] [size=128K]
	Capabilities: <access denied>


** Sound cards:


*** /root/out.d (full from-boot dmesg)
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.38-2-686 (Debian 2.6.38-5) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Sun May 8 14:49:45 UTC 2011
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[    0.000000]  BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000000fff0000 (usable)
[    0.000000]  BIOS-e820: 000000000fff0000 - 000000000fff3000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000000fff3000 - 0000000010000000 (ACPI data)
[    0.000000]  BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
[    0.000000] Notice: NX (Execute Disable) protection missing in CPU!
[    0.000000] DMI 2.1 present.
[    0.000000] DMI: Micronpc.com Millennia GS/694X-596B-977, BIOS 4.51 PG 10/20/99
[    0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[    0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 (usable)
[    0.000000] last_pfn = 0xfff0 max_arch_pfn = 0x100000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-C7FFF write-protect
[    0.000000]   C8000-FFFFF uncachable
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000 mask FF0000000 write-back
[    0.000000]   1 base 0DD000000 mask FFFC00000 write-combining
[    0.000000]   2 disabled
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] PAT not supported by CPU.
[    0.000000] initial memory mapped : 0 - 01800000
[    0.000000] init_memory_mapping: 0000000000000000-000000000fff0000
[    0.000000]  0000000000 - 0000400000 page 4k
[    0.000000]  0000400000 - 000fc00000 page 2M
[    0.000000]  000fc00000 - 000fff0000 page 4k
[    0.000000] kernel direct mapping tables up to fff0000 @ 17fb000-1800000
[    0.000000] RAMDISK: 0e924000 - 0fc9c000
[    0.000000] ACPI: RSDP 000f6bf0 00014 (v00 VIA694)
[    0.000000] ACPI: RSDT 0fff3000 00028 (v01 AWARD  AWRDACPI 30302E31 AWRD 00000000)
[    0.000000] ACPI: FACP 0fff3040 00074 (v01 AWARD  AWRDACPI 30302E31 AWRD 00000000)
[    0.000000] ACPI: DSDT 0fff30c0 0226C (v01 VIA694 AWRDACPI 00001000 MSFT 0100000C)
[    0.000000] ACPI: FACS 0fff0000 00040
[    0.000000] 0MB HIGHMEM available.
[    0.000000] 255MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 0fff0000
[    0.000000]   low ram: 0 - 0fff0000
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x0000fff0
[    0.000000]   HighMem  empty
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009f
[    0.000000]     0: 0x00000100 -> 0x0000fff0
[    0.000000] On node 0 totalpages: 65407
[    0.000000] free_area_init_node: node 0, pgdat c13ea5c0, node_mem_map cfdef200
[    0.000000]   DMA zone: 32 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 3951 pages, LIFO batch:0
[    0.000000]   Normal zone: 480 pages used for memmap
[    0.000000]   Normal zone: 60944 pages, LIFO batch:15
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0x4008
[    0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] Local APIC disabled by BIOS -- you can enable it with "lapic"
[    0.000000] APIC: disable apic facility
[    0.000000] APIC: switched to apic NOOP
[    0.000000] nr_irqs_gsi: 16
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
[    0.000000] PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 10000000 (gap: 10000000:efff0000)
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 12 pages/cpu @ce400000 s27136 r0 d22016 u4194304
[    0.000000] pcpu-alloc: s27136 r0 d22016 u4194304 alloc=1*4194304
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 64895
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.38-2-686 root=UUID=3b61a0a8-b642-4e7c-b846-e1e9e16019cb ro bootkbd=uk quiet
[    0.000000] PID hash table entries: 1024 (order: 0, 4096 bytes)
[    0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Initializing CPU#0
[    0.000000] Initializing HighMem for node 0 (00000000:00000000)
[    0.000000] Memory: 234336k/262080k available (2646k kernel code, 27292k reserved, 1389k data, 392k init, 0k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xffd36000 - 0xfffff000   (2852 kB)
[    0.000000]     pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
[    0.000000]     vmalloc : 0xd07f0000 - 0xff7fe000   ( 752 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xcfff0000   ( 255 MB)
[    0.000000]       .init : 0xc13f1000 - 0xc1453000   ( 392 kB)
[    0.000000]       .data : 0xc12959e4 - 0xc13f0e80   (1389 kB)
[    0.000000]       .text : 0xc1000000 - 0xc12959e4   (2646 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: Genslabs=15, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU-based detection of stalled CPUs is disabled.
[    0.000000] NR_IRQS:1280
[    0.000000] CPU 0 irqstacks, hard=ce01a000 soft=ce01c000
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 400.929 MHz processor.
[    0.008012] Calibrating delay loop (skipped), value calculated using timer frequency.. 801.85 BogoMIPS (lpj=1603716)
[    0.008043] pid_max: default: 32768 minimum: 301
[    0.012417] Security Framework initialized
[    0.012453] SELinux:  Disabled at boot.
[    0.012746] Mount-cache hash table entries: 512
[    0.014973] Initializing cgroup subsys ns
[    0.014994] ns_cgroup deprecated: consider using the 'clone_children' flag without the ns_cgroup.
[    0.015014] Initializing cgroup subsys cpuacct
[    0.015214] Initializing cgroup subsys devices
[    0.015230] Initializing cgroup subsys freezer
[    0.015246] Initializing cgroup subsys net_cls
[    0.015261] Initializing cgroup subsys blkio
[    0.015569] mce: CPU supports 5 MCE banks
[    0.015829] SMP alternatives: switching to UP code
[    0.030218] Freeing SMP alternatives: 16k freed
[    0.030277] ACPI: Core revision 20110112
[    0.036535] ACPI: setting ELCR to 0200 (from 0e20)
[    0.040299] weird, boot CPU (#0) not listed by the BIOS.
[    0.040313] SMP motherboard not detected.
[    0.040328] Local APIC not detected. Using dummy APIC emulation.
[    0.040340] SMP disabled
[    0.040353] Performance Events: 
[    0.040367] no APIC, boot with the "lapic" boot parameter to force-enable it.
[    0.040380] no hardware sampling interrupt available.
[    0.040395] p6 PMU driver.
[    0.040426] ... version:                0
[    0.040438] ... bit width:              32
[    0.040450] ... generic registers:      2
[    0.040462] ... value mask:             00000000ffffffff
[    0.040476] ... max period:             000000007fffffff
[    0.040489] ... fixed-purpose events:   0
[    0.040501] ... event mask:             0000000000000003
[    0.042344] NMI watchdog disabled (cpu0): not supported (no LAPIC?)
[    0.042366] Brought up 1 CPUs
[    0.042383] Total of 1 processors activated (801.85 BogoMIPS).
[    0.043537] devtmpfs: initialized
[    0.046675] print_constraints: dummy: 
[    0.047282] NET: Registered protocol family 16
[    0.047962] ACPI: bus type pci registered
[    0.080585] PCI: PCI BIOS revision 2.10 entry at 0xfb280, last bus=1
[    0.080602] PCI: Using configuration type 1 for base access
[    0.084263] bio: create slab <bio-0> at 0
[    0.087279] ACPI: EC: Look up EC in DSDT
[    0.095355] ACPI: Interpreter enabled
[    0.095385] ACPI: (supports S0 S1 S5)
[    0.095490] ACPI: Using PIC for interrupt routing
[    0.111019] ACPI: No dock devices found.
[    0.111036] HEST: Table not found.
[    0.111060] PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
[    0.111671] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.113006] pci_root PNP0A03:00: host bridge window [io  0x0000-0x0cf7] (ignored)
[    0.113030] pci_root PNP0A03:00: host bridge window [io  0x0d00-0x3fff] (ignored)
[    0.113052] pci_root PNP0A03:00: host bridge window [io  0x4100-0x4fff] (ignored)
[    0.113073] pci_root PNP0A03:00: host bridge window [io  0x5010-0xffff] (ignored)
[    0.113094] pci_root PNP0A03:00: host bridge window [mem 0x000a0000-0x000cffff] (ignored)
[    0.113115] pci_root PNP0A03:00: host bridge window [mem 0x10000000-0xffefffff] (ignored)
[    0.113178] pci 0000:00:00.0: [1106:0691] type 0 class 0x000600
[    0.113217] pci 0000:00:00.0: reg 10: [mem 0xdd000000-0xdd3fffff pref]
[    0.113346] pci 0000:00:01.0: [1106:8598] type 1 class 0x000604
[    0.113474] pci 0000:00:07.0: [1106:0596] type 0 class 0x000601
[    0.113615] pci 0000:00:07.1: [1106:0571] type 0 class 0x000101
[    0.113694] pci 0000:00:07.1: reg 20: [io  0xd000-0xd00f]
[    0.113780] pci 0000:00:07.2: [1106:3038] type 0 class 0x000c03
[    0.113858] pci 0000:00:07.2: reg 20: [io  0xd400-0xd41f]
[    0.113942] pci 0000:00:07.3: [1106:3050] type 0 class 0x000600
[    0.114091] pci 0000:00:10.0: [1106:3044] type 0 class 0x000c00
[    0.114135] pci 0000:00:10.0: reg 10: [mem 0xdd401000-0xdd4017ff]
[    0.114166] pci 0000:00:10.0: reg 14: [io  0xdc00-0xdc7f]
[    0.114265] pci 0000:00:10.0: supports D2
[    0.114283] pci 0000:00:10.0: PME# supported from D2 D3hot D3cold
[    0.114304] pci 0000:00:10.0: PME# disabled
[    0.114364] pci 0000:00:12.0: [10ec:8169] type 0 class 0x000200
[    0.114406] pci 0000:00:12.0: reg 10: [io  0xe000-0xe0ff]
[    0.114437] pci 0000:00:12.0: reg 14: [mem 0xdd400000-0xdd4000ff]
[    0.114509] pci 0000:00:12.0: reg 30: [mem 0xdc000000-0xdc01ffff pref]
[    0.114552] pci 0000:00:12.0: supports D1 D2
[    0.114570] pci 0000:00:12.0: PME# supported from D1 D2 D3hot D3cold
[    0.114589] pci 0000:00:12.0: PME# disabled
[    0.114720] pci 0000:01:00.0: [1002:4c42] type 0 class 0x000300
[    0.114766] pci 0000:01:00.0: reg 10: [mem 0xd8000000-0xd8ffffff]
[    0.114796] pci 0000:01:00.0: reg 14: [io  0xc000-0xc0ff]
[    0.114827] pci 0000:01:00.0: reg 18: [mem 0xda000000-0xda000fff]
[    0.114888] pci 0000:01:00.0: reg 30: [mem 0x00000000-0x0001ffff pref]
[    0.114941] pci 0000:01:00.0: supports D1 D2
[    0.115023] pci 0000:00:01.0: PCI bridge to [bus 01-01]
[    0.115045] pci 0000:00:01.0:   bridge window [io  0xc000-0xcfff]
[    0.115067] pci 0000:00:01.0:   bridge window [mem 0xd8000000-0xdbffffff]
[    0.115090] pci 0000:00:01.0:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
[    0.115122] pci_bus 0000:00: on NUMA node 0
[    0.115148] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    0.121611] ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 10 *11 12 14 15)
[    0.122532] ACPI: PCI Interrupt Link [LNKB] (IRQs 1 3 4 5 6 7 10 11 12 14 15) *0, disabled.
[    0.123553] ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4 *5 6 7 10 11 12 14 15)
[    0.124673] ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 *10 11 12 14 15)
[    0.125599] vgaarb: device added: PCI:0000:01:00.0,decodes=io+mem,owns=io+mem,locks=none
[    0.125619] vgaarb: loaded
[    0.125872] PCI: Using ACPI for IRQ routing
[    0.125895] PCI: pci_cache_line_size set to 32 bytes
[    0.126022] reserve RAM buffer: 000000000009fc00 - 000000000009ffff 
[    0.126040] reserve RAM buffer: 000000000fff0000 - 000000000fffffff 
[    0.126915] Switching to clocksource pit
[    0.132580] pnp: PnP ACPI init
[    0.132725] ACPI: bus type pnp registered
[    0.134052] pnp 00:00: [mem 0x000d0000-0x000d1fff]
[    0.134074] pnp 00:00: [mem 0x000f0000-0x000f7fff]
[    0.134093] pnp 00:00: [mem 0x000f8000-0x000fbfff]
[    0.134112] pnp 00:00: [mem 0x000fc000-0x000fffff]
[    0.134130] pnp 00:00: [mem 0x0fff0000-0x0fffffff]
[    0.134148] pnp 00:00: [mem 0xffff0000-0xffffffff]
[    0.134166] pnp 00:00: [mem 0x00000000-0x0009ffff]
[    0.134184] pnp 00:00: [mem 0x00100000-0x0ffeffff]
[    0.134506] system 00:00: [mem 0x000d0000-0x000d1fff] has been reserved
[    0.134532] system 00:00: [mem 0x000f0000-0x000f7fff] could not be reserved
[    0.134555] system 00:00: [mem 0x000f8000-0x000fbfff] could not be reserved
[    0.134578] system 00:00: [mem 0x000fc000-0x000fffff] could not be reserved
[    0.134601] system 00:00: [mem 0x0fff0000-0x0fffffff] could not be reserved
[    0.134624] system 00:00: [mem 0xffff0000-0xffffffff] has been reserved
[    0.134647] system 00:00: [mem 0x00000000-0x0009ffff] could not be reserved
[    0.134670] system 00:00: [mem 0x00100000-0x0ffeffff] could not be reserved
[    0.134698] system 00:00: Plug and Play ACPI device, IDs PNP0c01 (active)
[    0.135336] pnp 00:01: [bus 00-ff]
[    0.135358] pnp 00:01: [io  0x0cf8-0x0cff]
[    0.135378] pnp 00:01: [io  0x0000-0x0cf7 window]
[    0.135397] pnp 00:01: [io  0x0d00-0x3fff window]
[    0.135415] pnp 00:01: [io  0x4000-0x407f]
[    0.135432] pnp 00:01: [io  0x4080-0x40ff]
[    0.135450] pnp 00:01: [io  0x4100-0x4fff window]
[    0.135468] pnp 00:01: [io  0x5000-0x500f]
[    0.135486] pnp 00:01: [io  0x5010-0xffff window]
[    0.135506] pnp 00:01: [mem 0x000a0000-0x000cffff window]
[    0.135526] pnp 00:01: [mem 0x10000000-0xffefffff window]
[    0.135786] pnp 00:01: Plug and Play ACPI device, IDs PNP0a03 (active)
[    0.136578] pnp 00:02: [io  0x0010-0x001f]
[    0.136598] pnp 00:02: [io  0x0022-0x003f]
[    0.136616] pnp 00:02: [io  0x0044-0x005f]
[    0.136633] pnp 00:02: [io  0x0062-0x0063]
[    0.136650] pnp 00:02: [io  0x0065-0x006f]
[    0.136667] pnp 00:02: [io  0x0074-0x007f]
[    0.136685] pnp 00:02: [io  0x0091-0x0093]
[    0.136702] pnp 00:02: [io  0x00a2-0x00bf]
[    0.136719] pnp 00:02: [io  0x00e0-0x00ef]
[    0.136737] pnp 00:02: [io  0x03f0-0x03f1]
[    0.136754] pnp 00:02: [io  0x04d0-0x04d1]
[    0.137114] system 00:02: [io  0x03f0-0x03f1] has been reserved
[    0.137139] system 00:02: [io  0x04d0-0x04d1] has been reserved
[    0.137165] system 00:02: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.137264] pnp 00:03: [dma 4]
[    0.137283] pnp 00:03: [io  0x0000-0x000f]
[    0.137300] pnp 00:03: [io  0x0080-0x0090]
[    0.137318] pnp 00:03: [io  0x0094-0x009f]
[    0.137335] pnp 00:03: [io  0x00c0-0x00df]
[    0.137557] pnp 00:03: Plug and Play ACPI device, IDs PNP0200 (active)
[    0.137651] pnp 00:04: [io  0x0070-0x0073]
[    0.137676] pnp 00:04: [irq 8]
[    0.137929] pnp 00:04: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.138010] pnp 00:05: [io  0x0061]
[    0.138237] pnp 00:05: Plug and Play ACPI device, IDs PNP0800 (active)
[    0.138319] pnp 00:06: [io  0x00f0-0x00ff]
[    0.138340] pnp 00:06: [irq 13]
[    0.138568] pnp 00:06: Plug and Play ACPI device, IDs PNP0c04 (active)
[    0.139290] pnp 00:07: [io  0x03f2-0x03f5]
[    0.139310] pnp 00:07: [io  0x03f7]
[    0.139329] pnp 00:07: [irq 6]
[    0.139347] pnp 00:07: [dma 2]
[    0.139710] pnp 00:07: Plug and Play ACPI device, IDs PNP0700 (active)
[    0.140735] pnp 00:08: [io  0x03f8-0x03ff]
[    0.140756] pnp 00:08: [irq 4]
[    0.141218] pnp 00:08: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.142243] pnp 00:09: [io  0x02f8-0x02ff]
[    0.142264] pnp 00:09: [irq 3]
[    0.142639] pnp 00:09: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.144776] pnp 00:0a: [io  0x0378-0x037f]
[    0.144796] pnp 00:0a: [io  0x0778-0x077b]
[    0.144816] pnp 00:0a: [irq 7]
[    0.144832] pnp 00:0a: [dma 3]
[    0.145318] pnp 00:0a: Plug and Play ACPI device, IDs PNP0401 (active)
[    0.145545] pnp 00:0b: [irq 12]
[    0.145780] pnp 00:0b: Plug and Play ACPI device, IDs PNP0f13 (active)
[    0.145979] pnp 00:0c: [io  0x0060]
[    0.145997] pnp 00:0c: [io  0x0064]
[    0.146016] pnp 00:0c: [irq 1]
[    0.146257] pnp 00:0c: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.146321] pnp: PnP ACPI: found 13 devices
[    0.146335] ACPI: ACPI bus type pnp unregistered
[    0.146358] PnPBIOS: Disabled by ACPI PNP
[    0.199199] Switching to clocksource acpi_pm
[    0.199374] pci 0000:00:01.0: BAR 15: assigned [mem 0x10000000-0x100fffff pref]
[    0.199403] pci 0000:01:00.0: BAR 6: assigned [mem 0x10000000-0x1001ffff pref]
[    0.199425] pci 0000:00:01.0: PCI bridge to [bus 01-01]
[    0.199445] pci 0000:00:01.0:   bridge window [io  0xc000-0xcfff]
[    0.199470] pci 0000:00:01.0:   bridge window [mem 0xd8000000-0xdbffffff]
[    0.199492] pci 0000:00:01.0:   bridge window [mem 0x10000000-0x100fffff pref]
[    0.199539] pci 0000:00:01.0: setting latency timer to 64
[    0.199563] pci_bus 0000:00: resource 0 [io  0x0000-0xffff]
[    0.199582] pci_bus 0000:00: resource 1 [mem 0x00000000-0xffffffff]
[    0.199603] pci_bus 0000:01: resource 0 [io  0xc000-0xcfff]
[    0.199622] pci_bus 0000:01: resource 1 [mem 0xd8000000-0xdbffffff]
[    0.199643] pci_bus 0000:01: resource 2 [mem 0x10000000-0x100fffff pref]
[    0.200101] NET: Registered protocol family 2
[    0.200693] IP route cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.201094] Switched to NOHz mode on CPU #0
[    0.202362] TCP established hash table entries: 8192 (order: 4, 65536 bytes)
[    0.202779] TCP bind hash table entries: 8192 (order: 4, 65536 bytes)
[    0.203145] TCP: Hash tables configured (established 8192 bind 8192)
[    0.203161] TCP reno registered
[    0.203181] UDP hash table entries: 128 (order: 0, 4096 bytes)
[    0.203252] UDP-Lite hash table entries: 128 (order: 0, 4096 bytes)
[    0.204753] NET: Registered protocol family 1
[    0.204845] pci 0000:00:01.0: disabling DAC on VIA PCI bridge
[    0.204876] pci 0000:00:07.0: Activating ISA DMA hang workarounds
[    0.204955] pci 0000:01:00.0: Boot video device
[    0.204974] PCI: CLS 32 bytes, default 32
[    0.205285] Unpacking initramfs...
[    3.956894] Freeing initrd memory: 19936k freed
[    4.065609] audit: initializing netlink socket (disabled)
[    4.065683] type=2000 audit(1305145501.063:1): initialized
[    4.131964] HugeTLB registered 4 MB page size, pre-allocated 0 pages
[    4.146756] VFS: Disk quotas dquot_6.5.2
[    4.147717] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    4.148820] msgmni has been set to 496
[    4.150391] alg: No test for stdrng (krng)
[    4.150877] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    4.150900] io scheduler noop registered
[    4.150913] io scheduler deadline registered
[    4.151059] io scheduler cfq registered (default)
[    4.152518] ERST: Table is not found!
[    4.152638] isapnp: Scanning for PnP cards...
[    4.507275] isapnp: No Plug & Play device found
[    4.507747] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    4.528467] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    4.549253] serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
[    4.571396] 00:08: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    4.592429] 00:09: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
[    4.593588] Linux agpgart interface v0.103
[    4.594360] agpgart: Detected VIA Apollo Pro 133 chipset
[    4.597500] agpgart-via 0000:00:00.0: AGP aperture is 4M @ 0xdd000000
[    4.598179] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    4.601925] serio: i8042 KBD port at 0x60,0x64 irq 1
[    4.601970] serio: i8042 AUX port at 0x60,0x64 irq 12
[    4.602984] mousedev: PS/2 mouse device common for all mice
[    4.603264] rtc_cmos 00:04: RTC can wake from S4
[    4.603592] rtc_cmos 00:04: rtc core: registered rtc_cmos as rtc0
[    4.603659] rtc0: alarms up to one year, y3k, 242 bytes nvram
[    4.603736] cpuidle: using governor ladder
[    4.603751] cpuidle: using governor menu
[    4.605681] TCP cubic registered
[    4.607376] NET: Registered protocol family 10
[    4.612649] Mobile IPv6
[    4.612669] NET: Registered protocol family 17
[    4.612710] Registering the dns_resolver key type
[    4.612804] Using IPI No-Shortcut mode
[    4.613544] PM: Hibernation image not present or could not be loaded.
[    4.613615] registered taskstats version 1
[    4.614239] rtc_cmos 00:04: setting system clock to 2011-05-11 20:25:02 UTC (1305145502)
[    4.614380] Initalizing network drop monitor service
[    4.614817] Freeing unused kernel memory: 392k freed
[    4.616800] Write protecting the kernel text: 2648k
[    4.616935] Write protecting the kernel read-only data: 1000k
[    4.626554] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    4.709986] <30>udevd[44]: starting version 168
[    5.124201] Refined TSC clocksource calibration: 400.908 MHz.
[    5.124226] Switching to clocksource tsc
[    5.359201] Floppy drive(s): fd0 is 1.44M
[    5.376541] input: PC Speaker as /devices/platform/pcspkr/input/input1
[    5.378005] ACPI: Fan [FAN] (on)
[    5.396527] FDC 0 is a post-1991 82077
[    5.588971] thermal LNXTHERM:00: registered as thermal_zone0
[    5.588992] ACPI: Thermal Zone [THRM] (0 C)
[    5.680521] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    5.682130] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 5
[    5.682150] PCI: setting IRQ 5 as level-triggered
[    5.682180] r8169 0000:00:12.0: PCI INT A -> Link[LNKC] -> GSI 5 (level, low) -> IRQ 5
[    5.682264] r8169 0000:00:12.0: (unregistered net_device): no PCI Express capability
[    5.720021] r8169 0000:00:12.0: eth0: RTL8110s at 0xd0806000, 00:40:f4:a9:d0:7d, XID 04000000 IRQ 5
[    5.982791] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
[    5.982813] PCI: setting IRQ 11 as level-triggered
[    5.982845] firewire_ohci 0000:00:10.0: PCI INT A -> Link[LNKA] -> GSI 11 (level, low) -> IRQ 11
[    6.104473] firewire_ohci: Added fw-ohci device 0000:00:10.0, OHCI v1.0, 8 IR + 8 IT contexts, quirks 0x11
[    6.106469] usbcore: registered new interface driver usbfs
[    6.106614] usbcore: registered new interface driver hub
[    6.106886] usbcore: registered new device driver usb
[    6.147065] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    6.174686] uhci_hcd: USB Universal Host Controller Interface driver
[    6.176944] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10
[    6.176964] PCI: setting IRQ 10 as level-triggered
[    6.176995] uhci_hcd 0000:00:07.2: PCI INT D -> Link[LNKD] -> GSI 10 (level, low) -> IRQ 10
[    6.177042] uhci_hcd 0000:00:07.2: UHCI Host Controller
[    6.177175] uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 1
[    6.177274] uhci_hcd 0000:00:07.2: irq 10, io base 0x0000d400
[    6.177490] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    6.177512] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    6.177531] usb usb1: Product: UHCI Host Controller
[    6.177547] usb usb1: Manufacturer: Linux 2.6.38-2-686 uhci_hcd
[    6.177563] usb usb1: SerialNumber: 0000:00:07.2
[    6.178971] hub 1-0:1.0: USB hub found
[    6.179013] hub 1-0:1.0: 2 ports detected
[    6.197469] SCSI subsystem initialized
[    6.459277] libata version 3.00 loaded.
[    6.489362] pata_via 0000:00:07.1: version 0.3.4
[    6.494117] scsi0 : pata_via
[    6.495346] scsi1 : pata_via
[    6.496281] ata1: PATA max UDMA/66 cmd 0x1f0 ctl 0x3f6 bmdma 0xd000 irq 14
[    6.496304] ata2: PATA max UDMA/66 cmd 0x170 ctl 0x376 bmdma 0xd008 irq 15
[    6.606996] firewire_core: created device fw0: GUID 00110600000069b8, S400
[    6.660614] ata1.00: ATA-7: Maxtor 6Y200P0, YAR41BW0, max UDMA/133
[    6.660636] ata1.00: 398297088 sectors, multi 16: LBA48 
[    6.676520] ata1.00: configured for UDMA/66
[    6.677192] scsi 0:0:0:0: Direct-Access     ATA      Maxtor 6Y200P0   YAR4 PQ: 0 ANSI: 5
[    6.848386] ata2.00: ATAPI: IOMEGA  ZIP 100       ATAPI, 23.D, max PIO2, CDB intr
[    6.848426] ata2.01: ATAPI: COMPAQ DVD-ROM GD-2500, 0011, max MWDMA2
[    6.864359] ata2.00: configured for PIO2
[    6.912302] ata2.01: configured for MWDMA2
[    6.928529] scsi 1:0:0:0: Direct-Access     IOMEGA   ZIP 100          23.D PQ: 0 ANSI: 5
[    6.948929] scsi 1:0:1:0: CD-ROM            COMPAQ   DVD-ROM GD-2500  0011 PQ: 0 ANSI: 5
[    7.190975] sd 0:0:0:0: [sda] 398297088 512-byte logical blocks: (203 GB/189 GiB)
[    7.191599] sd 0:0:0:0: [sda] Write Protect is off
[    7.191623] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    7.191889] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    7.204308] sd 1:0:0:0: [sdb] Attached SCSI removable disk
[    7.238294] sr0: scsi3-mmc drive: 10x/24x cd/rw xa/form2 cdda tray
[    7.238317] cdrom: Uniform CD-ROM driver Revision: 3.20
[    7.239260] sr 1:0:1:0: Attached scsi CD-ROM sr0
[    7.277548] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    7.277627] ata1.00: BMDMA stat 0x25
[    7.277690] ata1.00: failed command: READ DMA
[    7.277777] ata1.00: cmd c8/00:08:00:00:00/00:00:00:00:00/e0 tag 0 dma 4096 in
[    7.277787]          res 51/84:00:00:00:00/00:00:00:00:00/e0 Emask 0x10 (ATA bus error)
[    7.277905] ata1.00: status: { DRDY ERR }
[    7.277964] ata1.00: error: { ICRC ABRT }
[    7.278117] ata1: soft resetting link
[    7.448524] ata1.00: configured for UDMA/66
[    7.448586] ata1: EH complete
[    7.527765] ata1.00: limiting speed to UDMA/44:PIO4
[    7.527790] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    7.527864] ata1.00: BMDMA stat 0x25
[    7.527927] ata1.00: failed command: READ DMA
[    7.528014] ata1.00: cmd c8/00:08:00:00:00/00:00:00:00:00/e0 tag 0 dma 4096 in
[    7.528024]          res 51/84:00:00:00:00/00:00:00:00:00/e0 Emask 0x10 (ATA bus error)
[    7.528196] ata1.00: status: { DRDY ERR }
[    7.528258] ata1.00: error: { ICRC ABRT }
[    7.528409] ata1: soft resetting link
[    7.708508] ata1.00: configured for UDMA/44
[    7.708553] ata1: EH complete
[    7.750848]  sda: sda1 sda2 < sda5 >
[    7.753069] sda: detected capacity change from 0 to 203928109056
[    7.755288] sda: detected capacity change from 0 to 203928109056
[    7.756290] sd 0:0:0:0: [sda] Attached SCSI disk
[    7.863627] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    7.869158] sd 1:0:0:0: Attached scsi generic sg1 type 0
[    7.870202] sr 1:0:1:0: Attached scsi generic sg2 type 5
[    8.257493] PM: Starting manual resume from disk
[    8.257517] PM: Hibernation image partition 8:5 present
[    8.257529] PM: Looking for hibernation image.
[    8.258247] PM: Image not found (code -22)
[    8.258262] PM: Hibernation image not present or could not be loaded.
[    8.457862] EXT3-fs (sda1): recovery required on readonly filesystem
[    8.457887] EXT3-fs (sda1): write access will be enabled during recovery
[    8.465638] EXT3-fs: barriers not enabled
[    8.703768] kjournald starting.  Commit interval 5 seconds
[    8.704536] EXT3-fs (sda1): recovery complete
[    8.705806] EXT3-fs (sda1): mounted filesystem with ordered data mode
[   10.674601] <30>udevd[206]: starting version 168
[   11.627939] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2
[   11.627990] ACPI: Power Button [PWRB]
[   11.628583] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
[   11.628613] ACPI: Power Button [PWRF]
[   11.868358] ACPI: acpi_idle registered with cpuidle
[   11.868564] Marking TSC unstable due to TSC halts in idle
[   11.895119] Switching to clocksource acpi_pm
[   11.962045] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[   12.226005] parport_pc 00:0a: reported by Plug and Play ACPI
[   12.226162] parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE,EPP]
[   12.244012] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[   12.595667] ACPI: resource vt596_smbus [io  0x5000-0x5007] conflicts with ACPI region SM06 [io 0x5006-0x5006]
[   12.595690] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   13.424147] input: ImPS/2 Logitech Wheel Mouse as /devices/platform/i8042/serio1/input/input4
[   15.014073] Adding 746984k swap on /dev/sda5.  Priority:-1 extents:1 across:746984k 
[   15.416470] EXT3-fs (sda1): using internal journal
[   15.908342] loop: module loaded
[   17.546459] fuse init (API version 7.16)
[   17.800373] r8169 0000:00:12.0: eth0: link down
[   17.800628] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   20.153905] r8169 0000:00:12.0: eth0: link up
[   20.154109] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

*** /root/ntp.d (openntpd syslog exerpt)
May 11 17:00:28 Bloodstone ntpd[905]: adjusting local clock by -486.630147s
May 11 17:04:44 Bloodstone ntpd[905]: adjusting local clock by -486.448775s
May 11 17:08:56 Bloodstone ntpd[905]: adjusting local clock by -486.311607s
May 11 17:13:15 Bloodstone ntpd[905]: adjusting local clock by -486.177790s
May 11 17:17:34 Bloodstone ntpd[905]: adjusting local clock by -486.023306s
May 11 17:21:43 Bloodstone ntpd[905]: adjusting local clock by -485.904187s
May 11 17:26:03 Bloodstone ntpd[905]: adjusting local clock by -485.791888s
May 11 17:30:22 Bloodstone ntpd[905]: adjusting local clock by -485.593061s
May 11 17:34:31 Bloodstone ntpd[905]: adjusting local clock by -485.464050s
May 11 17:38:48 Bloodstone ntpd[905]: adjusting local clock by -485.313699s
May 11 17:43:03 Bloodstone ntpd[905]: adjusting local clock by -485.169494s
May 11 17:47:23 Bloodstone ntpd[905]: adjusting local clock by -485.026972s
May 11 17:51:45 Bloodstone ntpd[905]: adjusting local clock by -484.836308s
May 11 17:55:59 Bloodstone ntpd[905]: adjusting local clock by -484.717923s
May 11 18:00:17 Bloodstone ntpd[905]: adjusting local clock by -484.574000s
May 11 18:04:33 Bloodstone ntpd[905]: adjusting local clock by -484.431088s
May 11 18:08:53 Bloodstone ntpd[905]: adjusting local clock by -484.252213s
May 11 18:13:08 Bloodstone ntpd[905]: adjusting local clock by -484.114810s
May 11 18:17:22 Bloodstone ntpd[905]: adjusting local clock by -483.975247s
May 11 18:21:38 Bloodstone ntpd[905]: adjusting local clock by -483.819964s
May 11 18:25:53 Bloodstone ntpd[905]: adjusting local clock by -483.694611s
May 11 18:30:15 Bloodstone ntpd[905]: adjusting local clock by -483.558994s
May 11 18:34:36 Bloodstone ntpd[905]: adjusting local clock by -483.382167s
May 11 18:38:53 Bloodstone ntpd[905]: adjusting local clock by -483.212199s
May 11 18:43:07 Bloodstone ntpd[905]: adjusting local clock by -483.090977s
May 11 18:47:30 Bloodstone ntpd[905]: adjusting local clock by -482.934892s
May 11 18:51:45 Bloodstone ntpd[905]: adjusting local clock by -482.831925s
May 11 18:56:01 Bloodstone ntpd[905]: adjusting local clock by -482.645244s
May 11 19:00:56 Bloodstone ntpd[905]: adjusting local clock by -482.457096s
May 11 19:05:25 Bloodstone ntpd[905]: adjusting local clock by -482.370842s
May 11 19:09:36 Bloodstone ntpd[905]: adjusting local clock by -482.161926s
May 11 19:13:55 Bloodstone ntpd[905]: adjusting local clock by -482.033929s
May 11 19:18:14 Bloodstone ntpd[905]: adjusting local clock by -481.907495s
May 11 19:22:29 Bloodstone ntpd[905]: adjusting local clock by -481.727503s
May 11 19:26:46 Bloodstone ntpd[905]: adjusting local clock by -481.573618s
May 11 19:30:57 Bloodstone ntpd[905]: adjusting local clock by -481.436625s
May 11 19:35:15 Bloodstone ntpd[905]: adjusting local clock by -485.958508s
May 11 19:39:38 Bloodstone ntpd[905]: adjusting local clock by -485.856427s
May 11 19:43:57 Bloodstone ntpd[905]: adjusting local clock by -485.701451s
May 11 19:48:14 Bloodstone ntpd[905]: adjusting local clock by -485.565794s
May 11 19:52:32 Bloodstone ntpd[905]: adjusting local clock by -485.394002s
May 11 19:56:51 Bloodstone ntpd[905]: adjusting local clock by -485.284827s
May 11 20:01:02 Bloodstone ntpd[905]: adjusting local clock by -485.125139s
May 11 20:05:21 Bloodstone ntpd[905]: adjusting local clock by -484.943882s
May 11 20:09:40 Bloodstone ntpd[905]: adjusting local clock by -484.796325s
May 11 20:14:00 Bloodstone ntpd[905]: adjusting local clock by -484.670089s
May 11 20:18:22 Bloodstone ntpd[905]: adjusting local clock by -484.514918s
May 11 20:22:44 Bloodstone ntpd[905]: adjusting local clock by -484.345916s
May 11 20:27:00 Bloodstone ntpd[905]: adjusting local clock by -484.230885s
May 11 20:31:12 Bloodstone ntpd[905]: adjusting local clock by -484.075650s
May 11 20:35:29 Bloodstone ntpd[905]: adjusting local clock by -483.908911s
May 11 21:04:49 Bloodstone ntpd[906]: adjusting local clock by -490.346277s
May 11 21:09:03 Bloodstone ntpd[906]: adjusting local clock by -490.208271s
May 11 21:13:48 Bloodstone ntpd[906]: adjusting local clock by -490.086586s
May 11 21:18:09 Bloodstone ntpd[906]: adjusting local clock by -489.988770s
May 11 21:36:52 Bloodstone ntpd[904]: adjusting local clock by -490.406057s
May 11 21:45:45 Bloodstone ntpd[904]: adjusting local clock by -490.152395s
May 11 21:50:05 Bloodstone ntpd[904]: adjusting local clock by -490.016600s
May 11 21:54:03 Bloodstone ntpd[904]: adjusting local clock by -489.910416s
May 11 21:58:23 Bloodstone ntpd[904]: adjusting local clock by -489.755375s
May 11 22:02:41 Bloodstone ntpd[904]: adjusting local clock by -489.630706s
May 11 22:07:00 Bloodstone ntpd[904]: adjusting local clock by -489.458891s

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.38-2-686 depends on:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.38-2-686 recommends:
ii  firmware-linux-free           3          Binary firmware for various driver
ii  libc6-i686                    2.13-2     Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.38-2-686 suggests:
ii  grub-pc                      1.99~rc1-13 GRand Unified Bootloader, version 
ii  linux-doc-2.6.38             2.6.38-5    Linux kernel specific documentatio

Versions of packages linux-image-2.6.38-2-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.29       Binary firmware for various driver
ii  firmware-linux-nonfree        0.29       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.38-2-686/postinst/depmod-error-initrd-2.6.38-2-686: false
  linux-image-2.6.38-2-686/postinst/ignoring-do-bootloader-2.6.38-2-686:
  linux-image-2.6.38-2-686/prerm/removing-running-kernel-2.6.38-2-686: true
* linux-image-2.6.38-2-686/postinst/missing-firmware-2.6.38-2-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Wed, 11 May 2011 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 22:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 626427@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: mail-dated-1307742750.5eb7fe@sabahattin-gucukoglu.com, 626427@bugs.debian.org
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Wed, 11 May 2011 22:54:25 +0000
On Wed, May 11, 2011 at 10:55:13PM +0100, Sabahattin Gucukoglu wrote:
> Package: linux-2.6
> Version: 2.6.38-5
> Severity: important
> 
> (reportbug script died, hope you've got everything.)
> 
> The machine runs with *HORRIBLE* clock drift (see text).  Eventually, the 
> system will slow right down, so that new processes or threads will not 
> start.  It *seems* to be related to the use of BRLTTY.  See this thread: 
> http://www.mail-archive.com/brltty@mielke.cc/msg05352.html
> 
> And, yes, it's annoying having to hard-reboot the box every so often.  It 
> would seem that after some period of time, touching my display or the 
> physical console triggers the lockup.  I don't think this is a coincidence, 
> even though on the surface there are two different problems.  The kernel 
> upgrade was sufficient to begin these issues.
> 
> Cheers,
> Sabahattin

can you try newer 2.6.39-rcX from experimental, is it fixed there?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Thu, 12 May 2011 00:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 00:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 626427@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: mail-dated-1307742750.5eb7fe@sabahattin-gucukoglu.com, 626427@bugs.debian.org
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Thu, 12 May 2011 01:43:35 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-05-11 at 22:55 +0100, Sabahattin Gucukoglu wrote:
> Package: linux-2.6
> Version: 2.6.38-5
> Severity: important
> 
> (reportbug script died, hope you've got everything.)
> 
> The machine runs with *HORRIBLE* clock drift (see text).  Eventually, the 
> system will slow right down, so that new processes or threads will not 
> start.  It *seems* to be related to the use of BRLTTY.  See this thread: 
> http://www.mail-archive.com/brltty@mielke.cc/msg05352.html
> 
> And, yes, it's annoying having to hard-reboot the box every so often.  It 
> would seem that after some period of time, touching my display or the 
> physical console triggers the lockup.  I don't think this is a coincidence, 
> even though on the surface there are two different problems.  The kernel 
> upgrade was sufficient to begin these issues.
[...]

Please test whether any of these kernel parameters help (one at a time):

    clocksource=jiffies
    clocksource=pit
    idle=halt

Could you also send a log from an earlier kernel version where this
problem does not occur?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 12 May 2011 00:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Thu, 12 May 2011 20:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sabahattin Gucukoglu <sgucukoglu-dated-1307823094.4b9fd8@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 20:21:06 GMT) Full text and rfc822 format available.

Message #22 received at 626427@bugs.debian.org (full text, mbox):

From: Sabahattin Gucukoglu <sgucukoglu@users.sourceforge.net>
To: maximilian attems <max@stro.at>
Cc: 626427@bugs.debian.org
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Thu, 12 May 2011 21:11:30 +0100
On 11 May 2011, at 23:54, maximilian attems wrote:
> On Wed, May 11, 2011 at 10:55:13PM +0100, Sabahattin Gucukoglu wrote:
>> Package: linux-2.6
>> Version: 2.6.38-5
>> Severity: important
>> 
>> (reportbug script died, hope you've got everything.)
>> 
>> The machine runs with *HORRIBLE* clock drift (see text).  Eventually, the 
>> system will slow right down, so that new processes or threads will not 
>> start.  It *seems* to be related to the use of BRLTTY.  See this thread: 
>> http://www.mail-archive.com/brltty@mielke.cc/msg05352.html
>> 
>> And, yes, it's annoying having to hard-reboot the box every so often.  It 
>> would seem that after some period of time, touching my display or the 
>> physical console triggers the lockup.  I don't think this is a coincidence, 
>> even though on the surface there are two different problems.  The kernel 
>> upgrade was sufficient to begin these issues.
> 
> can you try newer 2.6.39-rcX from experimental, is it fixed there?

Done (RC6).  No. :-(

Cheers,
Sabahattin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Thu, 12 May 2011 21:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 21:21:13 GMT) Full text and rfc822 format available.

Message #27 received at 626427@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Sabahattin Gucukoglu <sgucukoglu-dated-1307823094.4b9fd8@users.sourceforge.net>, 626427@bugs.debian.org
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Thu, 12 May 2011 21:15:04 +0000
On Thu, May 12, 2011 at 09:11:30PM +0100, Sabahattin Gucukoglu wrote:
> On 11 May 2011, at 23:54, maximilian attems wrote:
> > On Wed, May 11, 2011 at 10:55:13PM +0100, Sabahattin Gucukoglu wrote:
> >> Package: linux-2.6
> >> Version: 2.6.38-5
> >> Severity: important
> >> 
> >> (reportbug script died, hope you've got everything.)
> >> 
> >> The machine runs with *HORRIBLE* clock drift (see text).  Eventually, the 
> >> system will slow right down, so that new processes or threads will not 
> >> start.  It *seems* to be related to the use of BRLTTY.  See this thread: 
> >> http://www.mail-archive.com/brltty@mielke.cc/msg05352.html
> >> 
> >> And, yes, it's annoying having to hard-reboot the box every so often.  It 
> >> would seem that after some period of time, touching my display or the 
> >> physical console triggers the lockup.  I don't think this is a coincidence, 
> >> even though on the surface there are two different problems.  The kernel 
> >> upgrade was sufficient to begin these issues.
> > 
> > can you try newer 2.6.39-rcX from experimental, is it fixed there?
> 
> Done (RC6).  No. :-(

did it ever work?
if yes please how correct boot dmesg of the working linux-2.6.
if no please report upstream to the brltty upstream.

thanks

-- 
maks





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Thu, 12 May 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 21:33:04 GMT) Full text and rfc822 format available.

Message #32 received at 626427@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: maximilian attems <max@stro.at>, 626427@bugs.debian.org
Cc: Sabahattin Gucukoglu <sgucukoglu-dated-1307823094.4b9fd8@users.sourceforge.net>
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Thu, 12 May 2011 22:30:17 +0100
On Thu, May 12, 2011 at 09:15:04PM +0000, maximilian attems wrote:
> On Thu, May 12, 2011 at 09:11:30PM +0100, Sabahattin Gucukoglu wrote:
> > On 11 May 2011, at 23:54, maximilian attems wrote:
> > > On Wed, May 11, 2011 at 10:55:13PM +0100, Sabahattin Gucukoglu wrote:
> > >> Package: linux-2.6
> > >> Version: 2.6.38-5
> > >> Severity: important
> > >> 
> > >> (reportbug script died, hope you've got everything.)
> > >> 
> > >> The machine runs with *HORRIBLE* clock drift (see text).  Eventually, the 
> > >> system will slow right down, so that new processes or threads will not 
> > >> start.  It *seems* to be related to the use of BRLTTY.  See this thread: 
> > >> http://www.mail-archive.com/brltty@mielke.cc/msg05352.html
> > >> 
> > >> And, yes, it's annoying having to hard-reboot the box every so often.  It 
> > >> would seem that after some period of time, touching my display or the 
> > >> physical console triggers the lockup.  I don't think this is a coincidence, 
> > >> even though on the surface there are two different problems.  The kernel 
> > >> upgrade was sufficient to begin these issues.
> > > 
> > > can you try newer 2.6.39-rcX from experimental, is it fixed there?
> > 
> > Done (RC6).  No. :-(
> 
> did it ever work?
> if yes please how correct boot dmesg of the working linux-2.6.
> if no please report upstream to the brltty upstream.
 
Max, brltty is a userland component.  I think this has to be a kernel
bug (or a BIOS bug that the kernel has to work around).

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Sat, 14 May 2011 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sabahattin Gucukoglu <sgucukoglu-dated-1307982606.9686c7@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 14 May 2011 16:33:07 GMT) Full text and rfc822 format available.

Message #37 received at 626427@bugs.debian.org (full text, mbox):

From: Sabahattin Gucukoglu <sgucukoglu@users.sourceforge.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 626427@bugs.debian.org
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Sat, 14 May 2011 17:30:00 +0100
On 12 May 2011, at 01:43, Ben Hutchings wrote:
> On Wed, 2011-05-11 at 22:55 +0100, Sabahattin Gucukoglu wrote:
>> Package: linux-2.6
>> Version: 2.6.38-5
>> Severity: important
>> 
>> (reportbug script died, hope you've got everything.)
>> 
>> The machine runs with *HORRIBLE* clock drift (see text).  Eventually, the 
>> system will slow right down, so that new processes or threads will not 
>> start.  It *seems* to be related to the use of BRLTTY.  See this thread: 
>> http://www.mail-archive.com/brltty@mielke.cc/msg05352.html
>> 
>> And, yes, it's annoying having to hard-reboot the box every so often.  It 
>> would seem that after some period of time, touching my display or the 
>> physical console triggers the lockup.  I don't think this is a coincidence, 
>> even though on the surface there are two different problems.  The kernel 
>> upgrade was sufficient to begin these issues.
> 
> Please test whether any of these kernel parameters help (one at a time):
> 
>    clocksource=jiffies
>    clocksource=pit
>    idle=halt

Except for the kernel reporting on the fact that the pit clocksource was registered explicitly rather than chosen, nothing happens.  (Interestingly, "tsc" fixed it in a previous encounter with this problem, where acpi_pm was default in Linux 2.6.18, on the same hardware, but with less drastic results, and is the one chosen now.  Trying acpi_pm again just in case, as that was also a candidate, and it already seems more stable.)

> Could you also send a log from an earlier kernel version where this
> problem does not occur?

I'll let you know when I locate it.

Cheers,
Sabahattin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Sun, 15 May 2011 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sabahattin Gucukoglu <sgucukoglu-dated-1308094640.d69a25@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 15 May 2011 23:39:03 GMT) Full text and rfc822 format available.

Message #42 received at 626427@bugs.debian.org (full text, mbox):

From: Sabahattin Gucukoglu <sgucukoglu@users.sourceforge.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 626427@bugs.debian.org
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Mon, 16 May 2011 00:37:15 +0100
On Thu, 12 May 2011, Ben Hutchings wrote:
> On Wed, 2011-05-11 at 22:55 +0100, Sabahattin Gucukoglu wrote:
>> Package: linux-2.6
>> Version: 2.6.38-5
>> Severity: important
>> 
>> (reportbug script died, hope you've got everything.)
>> 
>> The machine runs with *HORRIBLE* clock drift (see text).  Eventually, the
>> system will slow right down, so that new processes or threads will not
>> start.  It *seems* to be related to the use of BRLTTY.  See this thread:
>> http://www.mail-archive.com/brltty@mielke.cc/msg05352.html
>> 
>> And, yes, it's annoying having to hard-reboot the box every so often.  It
>> would seem that after some period of time, touching my display or the
>> physical console triggers the lockup.  I don't think this is a coincidence,
>> even though on the surface there are two different problems.  The kernel
>> upgrade was sufficient to begin these issues.
> 
> Could you also send a log from an earlier kernel version where this
> problem does not occur?

You already have the later kernel log; here are the earlier log, the precise ntpd from that time, and the not-so-precise ntpd from today using the same clocksource.

Cheers,
Sabahattin

Kernel log:
Apr 28 08:30:03 Bloodstone kernel: imklog 4.6.1, log source = /proc/kmsg started.
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Initializing cgroup subsys cpuset
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Initializing cgroup subsys cpu
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Linux version 2.6.32-trunk-686 (Debian 2.6.32-5) (ben@decadent.org.uk) (gcc version 4.3.4 (Debian 4.3.4-6) ) #1 SMP Sun Jan 10 06:32:16 UTC 2010
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] KERNEL supported cpus:
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   Intel GenuineIntel
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   AMD AuthenticAMD
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   NSC Geode by NSC
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   Cyrix CyrixInstead
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   Centaur CentaurHauls
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   Transmeta GenuineTMx86
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   Transmeta TransmetaCPU
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   UMC UMC UMC UMC
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] BIOS-provided physical RAM map:
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  BIOS-e820: 0000000000100000 - 000000000fff0000 (usable)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  BIOS-e820: 000000000fff0000 - 000000000fff3000 (ACPI NVS)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  BIOS-e820: 000000000fff3000 - 0000000010000000 (ACPI data)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] DMI 2.1 present.
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] last_pfn = 0xfff0 max_arch_pfn = 0x100000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] MTRR default type: uncachable
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] MTRR fixed ranges enabled:
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   00000-9FFFF write-back
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   A0000-BFFFF uncachable
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   C0000-C7FFF write-protect
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   C8000-FFFFF uncachable
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] MTRR variable ranges enabled:
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   0 base 000000000 mask FF0000000 write-back
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   1 base 0DD000000 mask FFFC00000 write-combining
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   2 disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   3 disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   4 disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   5 disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   6 disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   7 disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] PAT not supported by CPU.
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] initial memory mapped : 0 - 01800000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] init_memory_mapping: 0000000000000000-000000000fff0000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  0000000000 - 0000400000 page 4k
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  0000400000 - 000fc00000 page 2M
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]  000fc00000 - 000fff0000 page 4k
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] kernel direct mapping tables up to fff0000 @ 7000-d000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] RAMDISK: 0adbf000 - 0c033873
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] ACPI: RSDP 000f6bf0 00014 (v00 VIA694)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] ACPI: RSDT 0fff3000 00028 (v01 AWARD  AWRDACPI 30302E31 AWRD 00000000)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] ACPI: FACP 0fff3040 00074 (v01 AWARD  AWRDACPI 30302E31 AWRD 00000000)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] ACPI: DSDT 0fff30c0 0226C (v01 VIA694 AWRDACPI 00001000 MSFT 0100000C)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] ACPI: FACS 0fff0000 00040
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] 0MB HIGHMEM available.
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] 255MB LOWMEM available.
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   mapped low ram: 0 - 0fff0000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   low ram: 0 - 0fff0000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   node 0 low ram: 00000000 - 0fff0000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   node 0 bootmap 00002000 - 00004000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] (9 early reservations) ==> bootmem [0000000000 - 000fff0000]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #1 [0000001000 - 0000002000]    EX TRAMPOLINE ==> [0000001000 - 0000002000]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #2 [0000006000 - 0000007000]       TRAMPOLINE ==> [0000006000 - 0000007000]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #3 [0001000000 - 00014a1334]    TEXT DATA BSS ==> [0001000000 - 00014a1334]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #4 [000adbf000 - 000c033873]          RAMDISK ==> [000adbf000 - 000c033873]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #5 [000009fc00 - 0000100000]    BIOS reserved ==> [000009fc00 - 0000100000]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #6 [00014a2000 - 00014a8092]              BRK ==> [00014a2000 - 00014a8092]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #7 [0000007000 - 0000009000]          PGTABLE ==> [0000007000 - 0000009000]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   #8 [0000002000 - 0000004000]          BOOTMAP ==> [0000002000 - 0000004000]
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Zone PFN ranges:
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   DMA      0x00000000 -> 0x00001000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   Normal   0x00001000 -> 0x0000fff0
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   HighMem  0x0000fff0 -> 0x0000fff0
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Movable zone start PFN for each node
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] early_node_map[2] active PFN ranges
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]     0: 0x00000000 -> 0x0000009f
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]     0: 0x00000100 -> 0x0000fff0
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] On node 0 totalpages: 65423
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] free_area_init_node: node 0, pgdat c138edc0, node_mem_map c14aa000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   DMA zone: 32 pages used for memmap
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   DMA zone: 0 pages reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   DMA zone: 3967 pages, LIFO batch:0
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   Normal zone: 480 pages used for memmap
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]   Normal zone: 60944 pages, LIFO batch:15
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Using APIC driver default
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] ACPI: PM-Timer IO Port: 0x4008
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Local APIC disabled by BIOS -- you can enable it with "lapic"
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] APIC: disable apic facility
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] nr_irqs_gsi: 16
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Allocating PCI resources starting at 10000000 (gap: 10000000:efff0000)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Booting paravirtualized kernel on bare hardware
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:1 nr_node_ids:1
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] PERCPU: Embedded 14 pages/cpu @c1800000 s34072 r0 d23272 u4194304
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] pcpu-alloc: s34072 r0 d23272 u4194304 alloc=1*4194304
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] pcpu-alloc: [0] 0 Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 64911
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-trunk-686 root=UUID=3b61a0a8-b642-4e7c-b846-e1e9e16019cb ro bootkbd=uk quiet
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] PID hash table entries: 1024 (order: 0, 4096 bytes)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Enabling fast FPU save and restore... done.
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Initializing CPU#0
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Initializing HighMem for node 0 (00000000:00000000)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Memory: 235352k/262080k available (2414k kernel code, 26028k reserved, 1266k data, 368k init, 0k highmem)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] virtual kernel memory layout:
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]     fixmap  : 0xffd56000 - 0xfffff000   (2724 kB)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]     pkmap   : 0xff400000 - 0xff800000   (4096 kB)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]     vmalloc : 0xd07f0000 - 0xff3fe000   ( 748 MB)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]     lowmem  : 0xc0000000 - 0xcfff0000   ( 255 MB)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]       .init : 0xc1399000 - 0xc13f5000   ( 368 kB)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]       .data : 0xc125bb11 - 0xc1398560   (1266 kB)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000]       .text : 0xc1000000 - 0xc125bb11   (2414 kB)
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] SLUB: Genslabs=13, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Hierarchical RCU implementation.
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] NR_IRQS:1280
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Console: colour VGA+ 80x25
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] console [tty0] enabled
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Fast TSC calibration using PIT
Apr 28 08:30:03 Bloodstone kernel: [    0.000000] Detected 400.921 MHz processor.
Apr 28 08:30:03 Bloodstone kernel: [    0.008014] Calibrating delay loop (skipped), value calculated using timer frequency.. 801.84 BogoMIPS (lpj=1603684)
Apr 28 08:30:03 Bloodstone kernel: [    0.008101] Security Framework initialized
Apr 28 08:30:03 Bloodstone kernel: [    0.008129] SELinux:  Disabled at boot.
Apr 28 08:30:03 Bloodstone kernel: [    0.008168] Mount-cache hash table entries: 512
Apr 28 08:30:03 Bloodstone kernel: [    0.012523] Initializing cgroup subsys ns
Apr 28 08:30:03 Bloodstone kernel: [    0.012543] Initializing cgroup subsys cpuacct
Apr 28 08:30:03 Bloodstone kernel: [    0.012568] Initializing cgroup subsys devices
Apr 28 08:30:03 Bloodstone kernel: [    0.012582] Initializing cgroup subsys freezer
Apr 28 08:30:03 Bloodstone kernel: [    0.012594] Initializing cgroup subsys net_cls
Apr 28 08:30:03 Bloodstone kernel: [    0.012700] CPU: L1 I cache: 16K, L1 D cache: 16K
Apr 28 08:30:03 Bloodstone kernel: [    0.012718] CPU: L2 cache: 512K
Apr 28 08:30:03 Bloodstone kernel: [    0.012738] mce: CPU supports 5 MCE banks
Apr 28 08:30:03 Bloodstone kernel: [    0.012811] Performance Events: Apr 28 08:30:03 Bloodstone kernel: [    0.012824] no APIC, boot with the "lapic" boot parameter to force-enable it.
Apr 28 08:30:03 Bloodstone kernel: [    0.012836] no hardware sampling interrupt available.
Apr 28 08:30:03 Bloodstone kernel: [    0.012848] p6 PMU driver.
Apr 28 08:30:03 Bloodstone kernel: [    0.012912] ... version:                0
Apr 28 08:30:03 Bloodstone kernel: [    0.012922] ... bit width:              32
Apr 28 08:30:03 Bloodstone kernel: [    0.012933] ... generic registers:      2
Apr 28 08:30:03 Bloodstone kernel: [    0.012944] ... value mask:             00000000ffffffff
Apr 28 08:30:03 Bloodstone kernel: [    0.012956] ... max period:             000000007fffffff
Apr 28 08:30:03 Bloodstone kernel: [    0.012967] ... fixed-purpose events:   0
Apr 28 08:30:03 Bloodstone kernel: [    0.012978] ... event mask:             0000000000000003
Apr 28 08:30:03 Bloodstone kernel: [    0.012997] Checking 'hlt' instruction... OK.
Apr 28 08:30:03 Bloodstone kernel: [    0.028158] SMP alternatives: switching to UP code
Apr 28 08:30:03 Bloodstone kernel: [    0.041866] Freeing SMP alternatives: 13k freed
Apr 28 08:30:03 Bloodstone kernel: [    0.041932] ACPI: Core revision 20090903
Apr 28 08:30:03 Bloodstone kernel: [    0.051139] ACPI: setting ELCR to 0200 (from 0e20)
Apr 28 08:30:03 Bloodstone kernel: [    0.052288] weird, boot CPU (#0) not listed by the BIOS.
Apr 28 08:30:03 Bloodstone kernel: [    0.052301] SMP motherboard not detected.
Apr 28 08:30:03 Bloodstone kernel: [    0.052314] Local APIC not detected. Using dummy APIC emulation.
Apr 28 08:30:03 Bloodstone kernel: [    0.052325] SMP disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.056877] Brought up 1 CPUs
Apr 28 08:30:03 Bloodstone kernel: [    0.056894] Total of 1 processors activated (801.84 BogoMIPS).
Apr 28 08:30:03 Bloodstone kernel: [    0.058379] CPU0 attaching NULL sched-domain.
Apr 28 08:30:03 Bloodstone kernel: [    0.059083] devtmpfs: initialized
Apr 28 08:30:03 Bloodstone kernel: [    0.061521] regulator: core version 0.5
Apr 28 08:30:03 Bloodstone kernel: [    0.061883] NET: Registered protocol family 16
Apr 28 08:30:03 Bloodstone kernel: [    0.062440] ACPI: bus type pci registered
Apr 28 08:30:03 Bloodstone kernel: [    0.094478] PCI: PCI BIOS revision 2.10 entry at 0xfb280, last bus=1
Apr 28 08:30:03 Bloodstone kernel: [    0.094492] PCI: Using configuration type 1 for base access
Apr 28 08:30:03 Bloodstone kernel: [    0.096932] bio: create slab <bio-0> at 0
Apr 28 08:30:03 Bloodstone kernel: [    0.098837] ACPI: EC: Look up EC in DSDT
Apr 28 08:30:03 Bloodstone kernel: [    0.110308] ACPI: Interpreter enabled
Apr 28 08:30:03 Bloodstone kernel: [    0.110350] ACPI: (supports S0 S1 S5)
Apr 28 08:30:03 Bloodstone kernel: [    0.110463] ACPI: Using PIC for interrupt routing
Apr 28 08:30:03 Bloodstone kernel: [    0.124841] ACPI: No dock devices found.
Apr 28 08:30:03 Bloodstone kernel: [    0.125492] ACPI: PCI Root Bridge [PCI0] (0000:00)
Apr 28 08:30:03 Bloodstone kernel: [    0.125696] pci 0000:00:00.0: reg 10 32bit mmio pref: [0xdd000000-0xdd3fffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126022] pci 0000:00:07.1: reg 20 io port: [0xd000-0xd00f]
Apr 28 08:30:03 Bloodstone kernel: [    0.126130] pci 0000:00:07.2: reg 20 io port: [0xd400-0xd41f]
Apr 28 08:30:03 Bloodstone kernel: [    0.126340] pci 0000:00:10.0: reg 10 32bit mmio: [0xdd401000-0xdd4017ff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126366] pci 0000:00:10.0: reg 14 io port: [0xdc00-0xdc7f]
Apr 28 08:30:03 Bloodstone kernel: [    0.126438] pci 0000:00:10.0: supports D2
Apr 28 08:30:03 Bloodstone kernel: [    0.126453] pci 0000:00:10.0: PME# supported from D2 D3hot D3cold
Apr 28 08:30:03 Bloodstone kernel: [    0.126470] pci 0000:00:10.0: PME# disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.126547] pci 0000:00:12.0: reg 10 io port: [0xe000-0xe0ff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126572] pci 0000:00:12.0: reg 14 32bit mmio: [0xdd400000-0xdd4000ff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126620] pci 0000:00:12.0: reg 30 32bit mmio pref: [0xdc000000-0xdc01ffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126660] pci 0000:00:12.0: supports D1 D2
Apr 28 08:30:03 Bloodstone kernel: [    0.126675] pci 0000:00:12.0: PME# supported from D1 D2 D3hot D3cold
Apr 28 08:30:03 Bloodstone kernel: [    0.126691] pci 0000:00:12.0: PME# disabled
Apr 28 08:30:03 Bloodstone kernel: [    0.126820] pci 0000:01:00.0: reg 10 32bit mmio: [0xd8000000-0xd8ffffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126845] pci 0000:01:00.0: reg 14 io port: [0xc000-0xc0ff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126868] pci 0000:01:00.0: reg 18 32bit mmio: [0xda000000-0xda000fff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126909] pci 0000:01:00.0: reg 30 32bit mmio pref: [0x000000-0x01ffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.126958] pci 0000:01:00.0: supports D1 D2
Apr 28 08:30:03 Bloodstone kernel: [    0.127037] pci 0000:00:01.0: bridge io port: [0xc000-0xcfff]
Apr 28 08:30:03 Bloodstone kernel: [    0.127056] pci 0000:00:01.0: bridge 32bit mmio: [0xd8000000-0xdbffffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.127086] pci_bus 0000:00: on NUMA node 0
Apr 28 08:30:03 Bloodstone kernel: [    0.127121] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
Apr 28 08:30:03 Bloodstone kernel: [    0.133216] ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 10 *11 12 14 15)
Apr 28 08:30:03 Bloodstone kernel: [    0.134249] ACPI: PCI Interrupt Link [LNKB] (IRQs 1 3 4 5 6 7 10 11 12 14 15) *0, disabled.
Apr 28 08:30:03 Bloodstone kernel: [    0.135347] ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4 *5 6 7 10 11 12 14 15)
Apr 28 08:30:03 Bloodstone kernel: [    0.136575] ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 *10 11 12 14 15)
Apr 28 08:30:03 Bloodstone kernel: [    0.137467] vgaarb: device added: PCI:0000:01:00.0,decodes=io+mem,owns=io+mem,locks=none
Apr 28 08:30:03 Bloodstone kernel: [    0.137486] vgaarb: loaded
Apr 28 08:30:03 Bloodstone kernel: [    0.137917] PCI: Using ACPI for IRQ routing
Apr 28 08:30:03 Bloodstone kernel: [    0.138475] Switching to clocksource tsc
Apr 28 08:30:03 Bloodstone kernel: [    0.143064] pnp: PnP ACPI init
Apr 28 08:30:03 Bloodstone kernel: [    0.143142] ACPI: bus type pnp registered
Apr 28 08:30:03 Bloodstone kernel: [    0.155675] pnp: PnP ACPI: found 13 devices
Apr 28 08:30:03 Bloodstone kernel: [    0.155689] ACPI: ACPI bus type pnp unregistered
Apr 28 08:30:03 Bloodstone kernel: [    0.155709] PnPBIOS: Disabled by ACPI PNP
Apr 28 08:30:03 Bloodstone kernel: [    0.155772] system 00:00: iomem range 0xd0000-0xd1fff has been reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155793] system 00:00: iomem range 0xf0000-0xf7fff could not be reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155813] system 00:00: iomem range 0xf8000-0xfbfff could not be reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155833] system 00:00: iomem range 0xfc000-0xfffff could not be reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155853] system 00:00: iomem range 0xfff0000-0xfffffff could not be reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155873] system 00:00: iomem range 0xffff0000-0xffffffff has been reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155892] system 00:00: iomem range 0x0-0x9ffff could not be reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155911] system 00:00: iomem range 0x100000-0xffeffff could not be reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155955] system 00:02: ioport range 0x3f0-0x3f1 has been reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.155975] system 00:02: ioport range 0x4d0-0x4d1 has been reserved
Apr 28 08:30:03 Bloodstone kernel: [    0.192018] pci 0000:00:01.0: PCI bridge, secondary bus 0000:01
Apr 28 08:30:03 Bloodstone kernel: [    0.192038] pci 0000:00:01.0:   IO window: 0xc000-0xcfff
Apr 28 08:30:03 Bloodstone kernel: [    0.192059] pci 0000:00:01.0:   MEM window: 0xd8000000-0xdbffffff
Apr 28 08:30:03 Bloodstone kernel: [    0.192078] pci 0000:00:01.0:   PREFETCH window: 0x10000000-0x100fffff
Apr 28 08:30:03 Bloodstone kernel: [    0.192119] pci 0000:00:01.0: setting latency timer to 64
Apr 28 08:30:03 Bloodstone kernel: [    0.192143] pci_bus 0000:00: resource 0 io:  [0x00-0xffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.192160] pci_bus 0000:00: resource 1 mem: [0x000000-0xffffffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.192178] pci_bus 0000:01: resource 0 io:  [0xc000-0xcfff]
Apr 28 08:30:03 Bloodstone kernel: [    0.192194] pci_bus 0000:01: resource 1 mem: [0xd8000000-0xdbffffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.192211] pci_bus 0000:01: resource 2 pref mem [0x10000000-0x100fffff]
Apr 28 08:30:03 Bloodstone kernel: [    0.192399] NET: Registered protocol family 2
Apr 28 08:30:03 Bloodstone kernel: [    0.192950] IP route cache hash table entries: 2048 (order: 1, 8192 bytes)
Apr 28 08:30:03 Bloodstone kernel: [    0.194846] TCP established hash table entries: 8192 (order: 4, 65536 bytes)
Apr 28 08:30:03 Bloodstone kernel: [    0.195220] TCP bind hash table entries: 8192 (order: 4, 65536 bytes)
Apr 28 08:30:03 Bloodstone kernel: [    0.195585] TCP: Hash tables configured (established 8192 bind 8192)
Apr 28 08:30:03 Bloodstone kernel: [    0.195599] TCP reno registered
Apr 28 08:30:03 Bloodstone kernel: [    0.196026] NET: Registered protocol family 1
Apr 28 08:30:03 Bloodstone kernel: [    0.196125] pci 0000:00:01.0: disabling DAC on VIA PCI bridge
Apr 28 08:30:03 Bloodstone kernel: [    0.196151] pci 0000:00:07.0: Activating ISA DMA hang workarounds
Apr 28 08:30:03 Bloodstone kernel: [    0.196220] pci 0000:01:00.0: Boot video device
Apr 28 08:30:03 Bloodstone kernel: [    0.196476] Unpacking initramfs...
Apr 28 08:30:03 Bloodstone kernel: [    3.448686] Freeing initrd memory: 18898k freed
Apr 28 08:30:03 Bloodstone kernel: [    3.549866] audit: initializing netlink socket (disabled)
Apr 28 08:30:03 Bloodstone kernel: [    3.549940] type=2000 audit(1272439788.548:1): initialized
Apr 28 08:30:03 Bloodstone kernel: [    3.550715] HugeTLB registered 4 MB page size, pre-allocated 0 pages
Apr 28 08:30:03 Bloodstone kernel: [    3.561517] VFS: Disk quotas dquot_6.5.2
Apr 28 08:30:03 Bloodstone kernel: [    3.561926] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
Apr 28 08:30:03 Bloodstone kernel: [    3.562510] msgmni has been set to 497
Apr 28 08:30:03 Bloodstone kernel: [    3.563831] alg: No test for stdrng (krng)
Apr 28 08:30:03 Bloodstone kernel: [    3.564101] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
Apr 28 08:30:03 Bloodstone kernel: [    3.564121] io scheduler noop registered
Apr 28 08:30:03 Bloodstone kernel: [    3.564133] io scheduler anticipatory registered
Apr 28 08:30:03 Bloodstone kernel: [    3.564144] io scheduler deadline registered
Apr 28 08:30:03 Bloodstone kernel: [    3.564450] io scheduler cfq registered (default)
Apr 28 08:30:03 Bloodstone kernel: [    3.565368] isapnp: Scanning for PnP cards...
Apr 28 08:30:03 Bloodstone kernel: [    3.920064] isapnp: No Plug & Play device found
Apr 28 08:30:03 Bloodstone kernel: [    3.931165] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
Apr 28 08:30:03 Bloodstone kernel: [    3.931438] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Apr 28 08:30:03 Bloodstone kernel: [    3.931776] serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
Apr 28 08:30:03 Bloodstone kernel: [    3.933276] 00:08: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Apr 28 08:30:03 Bloodstone kernel: [    3.933804] 00:09: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
Apr 28 08:30:03 Bloodstone kernel: [    3.934740] PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
Apr 28 08:30:03 Bloodstone kernel: [    3.938031] serio: i8042 KBD port at 0x60,0x64 irq 1
Apr 28 08:30:03 Bloodstone kernel: [    3.938072] serio: i8042 AUX port at 0x60,0x64 irq 12
Apr 28 08:30:03 Bloodstone kernel: [    3.938777] mice: PS/2 mouse device common for all mice
Apr 28 08:30:03 Bloodstone kernel: [    3.938924] Driver 'rtc_cmos' needs updating - please use bus_type methods
Apr 28 08:30:03 Bloodstone kernel: [    3.939083] rtc_cmos 00:04: RTC can wake from S4
Apr 28 08:30:03 Bloodstone kernel: [    3.939333] rtc_cmos 00:04: rtc core: registered rtc_cmos as rtc0
Apr 28 08:30:03 Bloodstone kernel: [    3.939397] rtc0: alarms up to one year, y3k, 242 bytes nvram
Apr 28 08:30:03 Bloodstone kernel: [    3.939479] cpuidle: using governor ladder
Apr 28 08:30:03 Bloodstone kernel: [    3.939494] cpuidle: using governor menu
Apr 28 08:30:03 Bloodstone kernel: [    3.939522] No iBFT detected.
Apr 28 08:30:03 Bloodstone kernel: [    3.942108] TCP cubic registered
Apr 28 08:30:03 Bloodstone kernel: [    3.943242] NET: Registered protocol family 10
Apr 28 08:30:03 Bloodstone kernel: [    3.946580] lo: Disabled Privacy Extensions
Apr 28 08:30:03 Bloodstone kernel: [    3.948834] Mobile IPv6
Apr 28 08:30:03 Bloodstone kernel: [    3.948854] NET: Registered protocol family 17
Apr 28 08:30:03 Bloodstone kernel: [    3.948936] Using IPI No-Shortcut mode
Apr 28 08:30:03 Bloodstone kernel: [    3.949547] registered taskstats version 1
Apr 28 08:30:03 Bloodstone kernel: [    3.950176] rtc_cmos 00:04: setting system clock to 2010-04-28 07:29:49 UTC (1272439789)
Apr 28 08:30:03 Bloodstone kernel: [    3.950458] Freeing unused kernel memory: 368k freed
Apr 28 08:30:03 Bloodstone kernel: [    3.952569] Write protecting the kernel text: 2416k
Apr 28 08:30:03 Bloodstone kernel: [    3.952686] Write protecting the kernel read-only data: 872k
Apr 28 08:30:03 Bloodstone kernel: [    3.962002] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
Apr 28 08:30:03 Bloodstone kernel: [    4.675258] fan PNP0C0B:00: registered as cooling_device0
Apr 28 08:30:03 Bloodstone kernel: [    4.675296] ACPI: Fan [FAN] (on)
Apr 28 08:30:03 Bloodstone kernel: [    4.707808] thermal LNXTHERM:01: registered as thermal_zone0
Apr 28 08:30:03 Bloodstone kernel: [    4.707857] ACPI: Thermal Zone [THRM] (0 C)
Apr 28 08:30:03 Bloodstone kernel: [    5.487728] Uniform Multi-Platform E-IDE driver
Apr 28 08:30:03 Bloodstone kernel: [    5.556863] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1
Apr 28 08:30:03 Bloodstone kernel: [    5.556917] ACPI: Power Button [PWRB]
Apr 28 08:30:03 Bloodstone kernel: [    5.557587] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
Apr 28 08:30:03 Bloodstone kernel: [    5.557617] ACPI: Power Button [PWRF]
Apr 28 08:30:03 Bloodstone kernel: [    5.564656] Linux agpgart interface v0.103
Apr 28 08:30:03 Bloodstone kernel: [    5.573442] input: PC Speaker as /devices/platform/pcspkr/input/input3
Apr 28 08:30:03 Bloodstone kernel: [    5.615716] Floppy drive(s): fd0 is 1.44M
Apr 28 08:30:03 Bloodstone kernel: [    5.636298] via82cxxx 0000:00:07.1: VIA vt82c596b (rev 12) IDE UDMA66
Apr 28 08:30:03 Bloodstone kernel: [    5.636327] via82cxxx 0000:00:07.1: IDE controller (0x1106:0x0571 rev 0x06)
Apr 28 08:30:03 Bloodstone kernel: [    5.636453] via82cxxx 0000:00:07.1: not 100% native mode: will probe irqs later
Apr 28 08:30:03 Bloodstone kernel: [    5.636482]     ide0: BM-DMA at 0xd000-0xd007
Apr 28 08:30:03 Bloodstone kernel: [    5.636524]     ide1: BM-DMA at 0xd008-0xd00f
Apr 28 08:30:03 Bloodstone kernel: [    5.636554] Probing IDE interface ide0...
Apr 28 08:30:03 Bloodstone kernel: [    5.646863] FDC 0 is a post-1991 82077
Apr 28 08:30:03 Bloodstone kernel: [    5.873248] usbcore: registered new interface driver usbfs
Apr 28 08:30:03 Bloodstone kernel: [    5.874022] usbcore: registered new interface driver hub
Apr 28 08:30:03 Bloodstone kernel: [    5.874914] usbcore: registered new device driver usb
Apr 28 08:30:03 Bloodstone kernel: [    5.963144] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
Apr 28 08:30:03 Bloodstone kernel: [    5.985414] uhci_hcd: USB Universal Host Controller Interface driver
Apr 28 08:30:03 Bloodstone kernel: [    6.016177] hda: Maxtor 6Y200P0, ATA DISK drive
Apr 28 08:30:03 Bloodstone kernel: [    6.688282] hda: host max PIO5 wanted PIO255(auto-tune) selected PIO4
Apr 28 08:30:03 Bloodstone kernel: [    6.688467] hda: host side 80-wire cable detection failed, limiting max speed to UDMA33
Apr 28 08:30:03 Bloodstone kernel: [    6.688484] hda: UDMA/33 mode selected
Apr 28 08:30:03 Bloodstone kernel: [    6.688628] Probing IDE interface ide1...
Apr 28 08:30:03 Bloodstone kernel: [    7.424265] hdc: IOMEGA ZIP 100 ATAPI, ATAPI FLOPPY drive
Apr 28 08:30:03 Bloodstone kernel: [    8.264084] hdd: COMPAQ DVD-ROM GD-2500, ATAPI CD/DVD-ROM drive
Apr 28 08:30:03 Bloodstone kernel: [    8.264312] hdc: host max PIO5 wanted PIO255(auto-tune) selected PIO0
Apr 28 08:30:03 Bloodstone kernel: [    8.264605] hdc: host max PIO5 wanted PIO255(auto-tune) selected PIO0
Apr 28 08:30:03 Bloodstone kernel: [    8.264900] hdd: host max PIO5 wanted PIO255(auto-tune) selected PIO4
Apr 28 08:30:03 Bloodstone kernel: [    8.273763] hdd: MWDMA2 mode selected
Apr 28 08:30:03 Bloodstone kernel: [    8.282900] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Apr 28 08:30:03 Bloodstone kernel: [    8.283036] ide1 at 0x170-0x177,0x376 on irq 15
Apr 28 08:30:03 Bloodstone kernel: [    8.284473] agpgart: Detected VIA Apollo Pro 133 chipset
Apr 28 08:30:03 Bloodstone kernel: [    8.288382] agpgart-via 0000:00:00.0: AGP aperture is 4M @ 0xdd000000
Apr 28 08:30:03 Bloodstone kernel: [    8.288496] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
Apr 28 08:30:03 Bloodstone kernel: [    8.290173] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 5
Apr 28 08:30:03 Bloodstone kernel: [    8.290191] PCI: setting IRQ 5 as level-triggered
Apr 28 08:30:03 Bloodstone kernel: [    8.290214] r8169 0000:00:12.0: PCI INT A -> Link[LNKC] -> GSI 5 (level, low) -> IRQ 5
Apr 28 08:30:03 Bloodstone kernel: [    8.290283] r8169 0000:00:12.0: no PCI Express capability
Apr 28 08:30:03 Bloodstone kernel: [    8.294760] eth0: RTL8110s at 0xd080e000, 00:40:f4:a9:d0:7d, XID 04000000 IRQ 5
Apr 28 08:30:03 Bloodstone kernel: [    8.309646] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
Apr 28 08:30:03 Bloodstone kernel: [    8.309665] PCI: setting IRQ 11 as level-triggered
Apr 28 08:30:03 Bloodstone kernel: [    8.309690] firewire_ohci 0000:00:10.0: PCI INT A -> Link[LNKA] -> GSI 11 (level, low) -> IRQ 11
Apr 28 08:30:03 Bloodstone kernel: [    8.388169] firewire_ohci: Added fw-ohci device 0000:00:10.0, OHCI version 1.0
Apr 28 08:30:03 Bloodstone kernel: [    8.390685] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10
Apr 28 08:30:03 Bloodstone kernel: [    8.390702] PCI: setting IRQ 10 as level-triggered
Apr 28 08:30:03 Bloodstone kernel: [    8.390725] uhci_hcd 0000:00:07.2: PCI INT D -> Link[LNKD] -> GSI 10 (level, low) -> IRQ 10
Apr 28 08:30:03 Bloodstone kernel: [    8.390764] uhci_hcd 0000:00:07.2: UHCI Host Controller
Apr 28 08:30:03 Bloodstone kernel: [    8.390911] uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 1
Apr 28 08:30:03 Bloodstone kernel: [    8.390991] uhci_hcd 0000:00:07.2: irq 10, io base 0x0000d400
Apr 28 08:30:03 Bloodstone kernel: [    8.391245] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
Apr 28 08:30:03 Bloodstone kernel: [    8.391264] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Apr 28 08:30:03 Bloodstone kernel: [    8.391280] usb usb1: Product: UHCI Host Controller
Apr 28 08:30:03 Bloodstone kernel: [    8.391294] usb usb1: Manufacturer: Linux 2.6.32-trunk-686 uhci_hcd
Apr 28 08:30:03 Bloodstone kernel: [    8.391308] usb usb1: SerialNumber: 0000:00:07.2
Apr 28 08:30:03 Bloodstone kernel: [    8.391805] usb usb1: configuration #1 chosen from 1 choice
Apr 28 08:30:03 Bloodstone kernel: [    8.393596] hub 1-0:1.0: USB hub found
Apr 28 08:30:03 Bloodstone kernel: [    8.393660] hub 1-0:1.0: 2 ports detected
Apr 28 08:30:03 Bloodstone kernel: [    8.585824] SCSI subsystem initialized
Apr 28 08:30:03 Bloodstone kernel: [    8.816729] libata version 3.00 loaded.
Apr 28 08:30:03 Bloodstone kernel: [    8.899103] firewire_core: created device fw0: GUID 00110600000069b8, S400
Apr 28 08:30:03 Bloodstone kernel: [    8.918633] ide-gd driver 1.18
Apr 28 08:30:03 Bloodstone kernel: [    8.918807] hda: max request size: 512KiB
Apr 28 08:30:03 Bloodstone kernel: [    8.970374] ide-cd driver 5.00
Apr 28 08:30:03 Bloodstone kernel: [    8.972339] hda: 398297088 sectors (203928 MB) w/7936KiB Cache, CHS=24792/255/63
Apr 28 08:30:03 Bloodstone kernel: [    8.972568] hda: cache flushes supported
Apr 28 08:30:03 Bloodstone kernel: [    8.972827]  hda: hda1 hda2 < hda5 >
Apr 28 08:30:03 Bloodstone kernel: [    9.156824] ide-gd: hdc: No disk in drive
Apr 28 08:30:03 Bloodstone kernel: [    9.205401] ide-gd: hdc: 98304kB, 32/64/96 CHS, 4096 kBps, 512 sector size, 2941 rpm
Apr 28 08:30:03 Bloodstone kernel: [    9.216545] ide-cd: hdd: ATAPI 24X DVD-ROM drive, 512kB Cache
Apr 28 08:30:03 Bloodstone kernel: [    9.216576] Uniform CD-ROM driver Revision: 3.20
Apr 28 08:30:03 Bloodstone kernel: [    9.494434] PM: Starting manual resume from disk
Apr 28 08:30:03 Bloodstone kernel: [    9.696155] kjournald starting.  Commit interval 5 seconds
Apr 28 08:30:03 Bloodstone kernel: [    9.696215] EXT3-fs: mounted filesystem with ordered data mode.
Apr 28 08:30:03 Bloodstone kernel: [   11.404621] udev: starting version 151
Apr 28 08:30:03 Bloodstone kernel: [   12.621919] Marking TSC unstable due to TSC halts in idle
Apr 28 08:30:03 Bloodstone kernel: [   12.626023] processor LNXCPU:00: registered as cooling_device1
Apr 28 08:30:03 Bloodstone kernel: [   12.626933] Switching to clocksource acpi_pm
Apr 28 08:30:03 Bloodstone kernel: [   12.719063] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Apr 28 08:30:03 Bloodstone kernel: [   12.991125] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
Apr 28 08:30:03 Bloodstone kernel: [   12.992945] ide-gd: hdc: No disk in drive
Apr 28 08:30:03 Bloodstone kernel: [   13.025837] ACPI: I/O resource vt596_smbus [0x5000-0x5007] conflicts with ACPI region SM06 [0x5006-0x5006]
Apr 28 08:30:03 Bloodstone kernel: [   13.025918] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
Apr 28 08:30:03 Bloodstone kernel: [   13.067489] parport_pc 00:0a: reported by Plug and Play ACPI
Apr 28 08:30:03 Bloodstone kernel: [   13.067645] parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE,EPP]
Apr 28 08:30:03 Bloodstone kernel: [   13.815211] input: ImPS/2 Generic Wheel Mouse as /devices/platform/i8042/serio1/input/input4
Apr 28 08:30:03 Bloodstone kernel: [   15.017343] Adding 746980k swap on /dev/hda5.  Priority:-1 extents:1 across:746980k Apr 28 08:30:03 Bloodstone kernel: [   15.260349] EXT3 FS on hda1, internal journal
Apr 28 08:30:03 Bloodstone kernel: [   15.569294] loop: module loaded
Apr 28 08:30:03 Bloodstone kernel: [   17.469180] r8169: eth0: link up

ntpd:
acpi_pm was selected then.  Here are the corresponding log lines:
Apr 28 08:31:28 Bloodstone ntpd[881]: adjusting local clock by 0.616501s
Apr 28 08:35:06 Bloodstone ntpd[881]: adjusting local clock by 0.577179s
Apr 28 08:38:28 Bloodstone ntpd[881]: adjusting local clock by 0.496728s
Apr 28 08:42:53 Bloodstone ntpd[881]: adjusting local clock by 0.388266s
Apr 28 08:46:25 Bloodstone ntpd[881]: adjusting local clock by 0.285678s
Apr 28 08:50:08 Bloodstone ntpd[881]: adjusting local clock by 0.224315s
Apr 28 08:56:55 Bloodstone ntpd[881]: adjusting local clock by 0.129418s
Apr 28 09:02:23 Bloodstone ntpd[881]: Terminating
Apr 28 09:04:48 Bloodstone ntpd[852]: adjusting local clock by -0.194381s
Apr 28 09:14:13 Bloodstone ntpd[852]: Terminating
Apr 28 09:14:59 Bloodstone ntpd[960]: dispatch_imsg in main: pipe closed
Apr 28 09:14:59 Bloodstone ntpd[960]: Terminating
Apr 28 09:15:23 Bloodstone ntpd[968]: dispatch_imsg in main: pipe closed
Apr 28 09:15:23 Bloodstone ntpd[968]: Terminating
Apr 28 09:23:25 Bloodstone ntpd[1001]: adjusting local clock by 0.183924s
Apr 28 10:48:31 Bloodstone ntpd[1001]: adjusting local clock by 0.157996s
Apr 28 12:24:38 Bloodstone ntpd[1001]: adjusting local clock by 0.174573s
Apr 28 15:33:48 Bloodstone ntpd[1001]: adjusting local clock by 0.149946s
Apr 28 18:49:45 Bloodstone ntpd[1001]: adjusting local clock by 0.167078s
Apr 29 01:07:58 Bloodstone ntpd[1001]: adjusting local clock by 0.176657s
Apr 29 05:08:50 Bloodstone ntpd[1001]: adjusting local clock by 0.156490s
(So basically, refining adjustment to perfection.)

Here's what acpi_pm (clocksource=acpi_pm) looks like now with 2.6.39 RC6. Not nearly as good. :-(
May 15 13:12:04 Bloodstone ntpd[926]: adjusting local clock by 0.174426s
May 15 13:12:04 Bloodstone ntpd[926]: skew change 60.526 exceeds limit
May 15 13:21:51 Bloodstone ntpd[926]: skew change 18.553 exceeds limit
May 15 14:41:19 Bloodstone ntpd[926]: skew change 6.137 exceeds limit
May 15 15:10:36 Bloodstone ntpd[903]: adjusting local clock by -1.270013s
May 15 15:18:33 Bloodstone ntpd[903]: adjusting local clock by -1.182338s
May 15 15:22:48 Bloodstone ntpd[903]: adjusting local clock by -1.078590s
May 15 15:27:29 Bloodstone ntpd[903]: adjusting local clock by -0.745117s
May 15 15:31:57 Bloodstone ntpd[903]: adjusting local clock by -0.576340s
May 15 15:36:12 Bloodstone ntpd[903]: adjusting local clock by -5.114443s
May 15 15:40:30 Bloodstone ntpd[903]: adjusting local clock by -5.017800s
May 15 15:44:40 Bloodstone ntpd[903]: adjusting local clock by -4.894922s
May 15 15:50:20 Bloodstone ntpd[903]: adjusting local clock by -4.740165s
May 15 15:55:11 Bloodstone ntpd[903]: adjusting local clock by -4.521784s
May 15 15:59:29 Bloodstone ntpd[903]: adjusting local clock by -4.379620s
May 15 16:03:48 Bloodstone ntpd[903]: adjusting local clock by -4.273313s
May 15 16:08:08 Bloodstone ntpd[903]: adjusting local clock by -4.134552s
May 15 16:12:25 Bloodstone ntpd[903]: adjusting local clock by -3.952432s
May 15 16:16:38 Bloodstone ntpd[903]: adjusting local clock by -3.817268s
May 15 16:20:59 Bloodstone ntpd[903]: adjusting local clock by -3.623079s
May 15 16:25:20 Bloodstone ntpd[903]: adjusting local clock by -3.492560s
May 15 16:29:38 Bloodstone ntpd[903]: adjusting local clock by -3.346056s
(The convergence never happens; it starts exceeding the limit again just as it settles to +/-0.13s or so.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Tue, 17 May 2011 01:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 17 May 2011 01:18:06 GMT) Full text and rfc822 format available.

Message #47 received at 626427@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Sabahattin Gucukoglu <sgucukoglu-dated-1308094640.d69a25@users.sourceforge.net>
Cc: 626427@bugs.debian.org
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Tue, 17 May 2011 02:14:34 +0100
[Message part 1 (text/plain, inline)]
I agree that this seems to be a regression in acpi_pm since Linux
2.6.32.

Please report this bug upstream at <https://bugzilla.kernel.org> under
product 'ACPI', component 'Other'.  Include the information you've sent
here - the logs from 2.6.32 and from 2.6.39-rc6, and the possible
connection with brltty.  Let us know the bug number or URL so we can
track it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Tue, 24 May 2011 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sabahattin Gucukoglu <sgucukoglu-dated-1308871210.064aa9@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 23:24:03 GMT) Full text and rfc822 format available.

Message #52 received at 626427@bugs.debian.org (full text, mbox):

From: Sabahattin Gucukoglu <sgucukoglu@users.sourceforge.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 626427@bugs.debian.org
Subject: Re: Bug#626427: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Wed, 25 May 2011 00:19:57 +0100
On 17 May 2011, at 04:05, Ben Hutchings wrote:
> Please report this bug upstream at <https://bugzilla.kernel.org> under
> product 'ACPI', component 'Other'.  Include the information you've sent
> here - the logs from 2.6.32 and from 2.6.39-rc6, and the possible
> connection with brltty.  Let us know the bug number or URL so we can
> track it.

OK, done.  Bug 35772 at:
https://bugzilla.kernel.org/show_bug.cgi?id=35772

My braille display is away for repair; I won't be able to get more information until it returns.  Sorry for delays.

Cheers,
Sabahattin




Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=35772'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 25 May 2011 01:15:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 24 May 2012 21:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Fri, 25 May 2012 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 25 May 2012 06:03:03 GMT) Full text and rfc822 format available.

Message #61 received at 626427@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sabahattin Gucukoglu <sgucukoglu-dated-1308871210.064aa9@users.sourceforge.net>
Cc: 626427@bugs.debian.org
Subject: Re: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Fri, 25 May 2012 00:58:15 -0500
tags 626427 - fixed-upstream
quit

Hi Sabahattin,

Sabahattin Gucukoglu wrote:
> On 17 May 2011, at 04:05, Ben Hutchings wrote:

>> Please report this bug upstream at <https://bugzilla.kernel.org> under
>> product 'ACPI', component 'Other'.  Include the information you've sent
>> here - the logs from 2.6.32 and from 2.6.39-rc6, and the possible
>> connection with brltty.  Let us know the bug number or URL so we can
>> track it.
>
> OK, done.  Bug 35772 at:
> https://bugzilla.kernel.org/show_bug.cgi?id=35772

Thanks.

> My braille display is away for repair; I won't be able to get more
> information until it returns.  Sorry for delays.

Sorry for the slow reply.  Any news?  What kernel are you using these
days, and does brltty work okay with it?

Curious,
Jonathan




Removed tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 25 May 2012 06:03:07 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Fri, 25 May 2012 06:03:10 GMT) Full text and rfc822 format available.

Notification sent to mail-dated-1307742750.5eb7fe@sabahattin-gucukoglu.com:
Bug acknowledged by developer. (Fri, 25 May 2012 06:03:10 GMT) Full text and rfc822 format available.

Message #68 received at 626427-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 626427-done@bugs.debian.org
Subject: [mailer-daemon@googlemail.com: Delivery Status Notification (Failure)]
Date: Fri, 25 May 2012 00:59:27 -0500
[Message part 1 (text/plain, inline)]

[Message part 2 (message/rfc822, inline)]
From: Mail Delivery Subsystem <mailer-daemon@googlemail.com>
To: jrnieder@gmail.com
Subject: Delivery Status Notification (Failure)
Date: Fri, 25 May 2012 05:58:31 +0000
Delivery to the following recipient failed permanently:

     sgucukoglu-dated-1308871210.064aa9@users.sourceforge.net

Technical details of permanent failure: 
Google tried to deliver your message, but it was rejected by the recipient domain. We recommend contacting the other email provider for further information about the cause of this error. The error that the other server returned was: 550 550 unknown user (state 13).

----- Original message -----

DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=date:from:to:cc:subject:message-id:references:mime-version
         :content-type:content-disposition:in-reply-to:user-agent;
        bh=gum6ylE0/Zy6EAqC7SpONlxsaJ6/vR+xbT479Ey4Lmo=;
        b=0qOto/UmaMXVdAna/uDwbeObK8GZYW+x33h+GQGyvAmN1fD0vGe8q0K18FYi/4h1On
         PRbbZhssKuE92wA7n9jVbSvW3GKV+ky2JO4F1nRkoMu6ZmCzurKuVQD3iwGFKn9076CO
         8bPxf5RHiTrcn4HoNJDeixPT+ieipXeVIFFMBr+iInhX5QT3UTPjQ7oY77X1qkLReW3G
         t6mtRAWJQkxtwi9N2GD4Dfacdi6dJq4t868r5xo1rkmlrJJ4ISIXfIGq9xqcr4Kd0mRD
         xouI8fZzBUWedwJfvidSZc4eU1ZcFo4ZkwXcQKjGrWO5XyIYj/aQ9QMoX53X9UUj83sF
         o7lQ==
Received: by 10.50.46.195 with SMTP id x3mr1420409igm.54.1337925505441;
        Thu, 24 May 2012 22:58:25 -0700 (PDT)
Return-Path: <jrnieder@gmail.com>
Received: from burratino (c-24-1-56-9.hsd1.il.comcast.net. [24.1.56.9])
        by mx.google.com with ESMTPS id nh8sm43530174igc.1.2012.05.24.22.58.24
        (version=SSLv3 cipher=OTHER);
        Thu, 24 May 2012 22:58:24 -0700 (PDT)
Date: Fri, 25 May 2012 00:58:15 -0500
From: Jonathan Nieder <jrnieder@gmail.com>
To: Sabahattin Gucukoglu <sgucukoglu-dated-1308871210.064aa9@users.sourceforge.net>
Cc: 626427@bugs.debian.org
Subject: Re: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero
 Responsiveness
Message-ID: <20120525055815.GA28301@burratino>
References: <20110511215513.1166.32767.reportbug@Bloodstone.local>
 <1305161015.4065.292.camel@localhost>
 <984F4829-E82F-44AC-B960-966F09EF3F8F@users.sourceforge.net>
 <1305594874.19966.49.camel@localhost>
 <B9A8305C-CEF3-44E3-A477-B3916F5C8050@users.sourceforge.net>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <B9A8305C-CEF3-44E3-A477-B3916F5C8050@users.sourceforge.net>
User-Agent: Mutt/1.5.21 (2010-09-15)

tags 626427 - fixed-upstream
quit

Hi Sabahattin,

Sabahattin Gucukoglu wrote:
> On 17 May 2011, at 04:05, Ben Hutchings wrote:

>> Please report this bug upstream at <https://bugzilla.kernel.org> under
>> product 'ACPI', component 'Other'.  Include the information you've sent
>> here - the logs from 2.6.32 and from 2.6.39-rc6, and the possible
>> connection with brltty.  Let us know the bug number or URL so we can
>> track it.
>
> OK, done.  Bug 35772 at:
> https://bugzilla.kernel.org/show_bug.cgi?id=35772

Thanks.

> My braille display is away for repair; I won't be able to get more
> information until it returns.  Sorry for delays.

Sorry for the slow reply.  Any news?  What kernel are you using these
days, and does brltty work okay with it?

Curious,
Jonathan

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Fri, 25 May 2012 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 25 May 2012 21:45:06 GMT) Full text and rfc822 format available.

Message #73 received at 626427@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 626427@bugs.debian.org
Cc: Sabahattin Gucukoglu <mail@sabahattin-gucukoglu.com>
Subject: [Sabahattin Gucukoglu: Re: linux-image-2.6.38-2-686: Horrible Time Skew, Eventual Near-zero Responsiveness]
Date: Fri, 25 May 2012 16:41:40 -0500
[Message part 1 (text/plain, inline)]
Sabahattin Gucukoglu wrote:

> Please redirect to the BTS if you think it's relevant. :-)

Thanks, doing so.
[Message part 2 (message/rfc822, inline)]
From: Sabahattin Gucukoglu <mail@sabahattin-gucukoglu.com>
To: jrnieder@gmail.com
Subject: Re: Bug#626427 closed by Jonathan Nieder <jrnieder@gmail.com> ([mailer-daemon@googlemail.com: Delivery Status Notification (Failure)])
Date: Fri, 25 May 2012 22:20:55 +0100
Yeah, sorry about that.  Debian insist on running the craptastic procmail, and since it doesn't like my primary email address,I had to rewrite it.  Except I rewrote it with my primary address extension by accident and that's what happened.  Evidently my choice to leave it be wasn't advisable. :-(

The kernel team seem to be unable to find the cause with the info I gave them.  Since AFAICT I have nothing more to give them (will check later) and since it has been quite a long while, I think it's best the bug remain closed.  What's more, this old clunker is on the way out (poor thing!) and will soon be replaced with a Mac, so if I run Linux it'll be in a VM or on my existing Mac Mini (could be entirely viable if I get a serial adaptor that works).

Please redirect to the BTS if you think it's relevant. :-)

On 25 May 2012, at 07:03, Debian Bug Tracking System wrote:
> Sabahattin Gucukoglu wrote:
>> On 17 May 2011, at 04:05, Ben Hutchings wrote:
>>> Please report this bug upstream at <https://bugzilla.kernel.org> under
>>> product 'ACPI', component 'Other'.  Include the information you've sent
>>> here - the logs from 2.6.32 and from 2.6.39-rc6, and the possible
>>> connection with brltty.  Let us know the bug number or URL so we can
>>> track it.
>> 
>> OK, done.  Bug 35772 at:
>> https://bugzilla.kernel.org/show_bug.cgi?id=3D35772
> 
> Thanks.
> 
>> My braille display is away for repair; I won't be able to get more
>> information until it returns.  Sorry for delays.
> 
> Sorry for the slow reply.  Any news?  What kernel are you using these
> days, and does brltty work okay with it?

NP.  uname -r says 3.2.0-2-686-pae.  The kernel devs said I should turn off ACPI, so I did.  Now, the clock is dead on to the speaking clock.  I have to assume it worked. :-)

The display was upgraded through one model by the manufacturer.  The protocol and configuration are identical from a software perspective.  The clock source is now the TSC.  ACPI being off really doesn't make much of a difference to this always-on box, and if it's more stable, which it is, then I'm happier.

HTH

Cheers,
Sabahattin

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Fri, 25 May 2012 21:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 25 May 2012 21:54:06 GMT) Full text and rfc822 format available.

Message #78 received at 626427@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sabahattin Gucukoglu <mail@sabahattin-gucukoglu.com>
Cc: 626427@bugs.debian.org
Subject: Re: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Fri, 25 May 2012 16:51:36 -0500
Hi again,

Sabahattin Gucukoglu wrote:

> The kernel team seem to be unable to find the cause with the info I gave
> them.  Since AFAICT I have nothing more to give them (will check later) and
> since it has been quite a long while, I think it's best the bug remain
> closed.  What's more, this old clunker is on the way out (poor thing!)
[...]
> NP.  uname -r says 3.2.0-2-686-pae.  The kernel devs said I should turn off
> ACPI, so I did.  Now, the clock is dead on to the speaking clock.  I have to
> assume it worked. :-)

Before the machine dies :), could you try a boot without "acpi=off"
and let us know how it goes (presence or absence of skew, logs, etc)?
3.2.y from sid would be fine, 3.3.y from experimental better.

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626427; Package linux-2.6. (Sat, 26 May 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 26 May 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #83 received at 626427@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sabahattin Gucukoglu <mail-dated-1340660208.36c789@sabahattin-gucukoglu.com>
Cc: 626427@bugs.debian.org
Subject: Re: Horrible Time Skew, Eventual Near-zero Responsiveness
Date: Sat, 26 May 2012 16:54:40 -0500
Sabahattin Gucukoglu wrote:

> OK.  Please understand that I'm a bit busy at the moment, so I can't devote
> as much time as I'd like.

Thanks and no problem.  I don't think there's any need to try the experimental
kernel.

[...]
> I've included all logs since the last report for Linux and ntpd.  Hopefully
> this is absolutely everything you guys need to work out what/if something's
> changed.

Sounds like it's still broken.

I had missed before that this was a 1999-era board.  Lots of those have
trouble with ACPI so in that light the symptoms seem less surprising.
I suspect the best Linux could do to address this is to automatically disable
acpi when appropriate.

Thanks again for the logs!  I'm keeping this closed because I think
you've provided enough information for the interested and the
workaround is discoverable enough.  Thanks for indulging my curiosity
--- I'll see if there's anything for upstream to learn from this.

Cheers,
Jonathan




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 26 May 2012 21:57:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2012 07:35:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:38:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.